(* Gauge coupling beta functions for the general 2HDM *)
(* This file contains the beta functions: betaalpha1/2/3 *)

(* Beta function for alpha_1 *)
   betaalpha1 = (

       + fourpiinv * (
          - 4*alpha1*ep
          )

       + fourpiinv^2 * (
          + 16/3*alpha1^2*Ng
          + 2/5*ND*alpha1^2
          )

       + fourpiinv^3 * (
          + 176/15*alpha1^2*alpha3*Ng
          + 12/5*alpha1^2*alpha2*Ng
          + 76/15*alpha1^3*Ng
          + 18/5*ND*alpha1^2*alpha2
          + 18/25*ND*alpha1^3
          - 34/5*Tr[MU]*alpha1^2
          - 2*Tr[MD]*alpha1^2
          - 6*Tr[ME]*alpha1^2
          )

       + fourpiinv^4 * (
          - 3/5*alpha1^2*LL5
          - 6/5*alpha1^2*LL4
          + 1100/9*alpha1^2*alpha3^2*Ng
          - 1936/135*alpha1^2*alpha3^2*Ng^2
          + 9/5*alpha1^2*alpha2*L2
          - 4/5*alpha1^2*alpha2*alpha3*Ng
          + 101/6*alpha1^2*alpha2^2*Ng
          - 44/15*alpha1^2*alpha2^2*Ng^2
          + 9/25*alpha1^3*L2
          + 18/25*alpha1^3*L1
          - 548/225*alpha1^3*alpha3*Ng
          - 7/25*alpha1^3*alpha2*Ng
          - 101/90*alpha1^4*Ng
          - 836/135*alpha1^4*Ng^2
          + 3499/80*ND*alpha1^2*alpha2^2
          - 173/30*ND*alpha1^2*alpha2^2*Ng
          + 783/200*ND*alpha1^3*alpha2
          + 783/2000*ND*alpha1^4
          - 887/450*ND*alpha1^4*Ng
          - 49/40*ND^2*alpha1^2*alpha2^2
          - 147/1000*ND^2*alpha1^4
          + 213/20*Tr[MU.MU]*alpha1^2
          + 3/10*Tr[MU.MD]*alpha1^2
          + 81/20*Tr[MD.MD]*alpha1^2
          + 147/20*Tr[ME.ME]*alpha1^2
          - 116/5*Tr[MU]*alpha1^2*alpha3
          - 471/8*Tr[MU]*alpha1^2*alpha2
          - 2827/200*Tr[MU]*alpha1^3
          - 68/5*Tr[MD]*alpha1^2*alpha3
          - 1311/40*Tr[MD]*alpha1^2*alpha2
          - 1267/200*Tr[MD]*alpha1^3
          - 1629/40*Tr[ME]*alpha1^2*alpha2
          - 2529/200*Tr[ME]*alpha1^3
          + 6/5*Tr[M2UD]*alpha1^2
          + 63/10*Tr[M2UU]*alpha1^2
          + 51/10*Tr[M2DD]*alpha1^2
          + 57/10*Tr[M2LL]*alpha1^2
          + 303/10*T2UU*alpha1^2
          + 51/10*T2DD*alpha1^2
          + 99/10*T2LL*alpha1^2
          + 177/5*T2UD*alpha1^2
          + 199/5*T2UL*alpha1^2
          + 157/5*T2DL*alpha1^2
          ));

(* Beta function for alpha_2 *)
   betaalpha2 = (

       + fourpiinv * (
          - 4*alpha2*ep
          )

       + fourpiinv^2 * (
          - 88/3*alpha2^2
          + 16/3*alpha2^2*Ng
          + 2/3*ND*alpha2^2
          )

       + fourpiinv^3 * (
          + 16*alpha2^2*alpha3*Ng
          - 544/3*alpha2^3
          + 196/3*alpha2^3*Ng
          + 4/5*alpha1*alpha2^2*Ng
          + 26/3*ND*alpha2^3
          + 6/5*ND*alpha1*alpha2^2
          - 6*Tr[MU]*alpha2^2
          - 6*Tr[MD]*alpha2^2
          - 2*Tr[ME]*alpha2^2
          )

       + fourpiinv^4 * (
          - alpha2^2*LL5
          - 2*alpha2^2*LL4
          + 500/3*alpha2^2*alpha3^2*Ng
          - 176/9*alpha2^2*alpha3^2*Ng^2
          + alpha2^3*L2
          + 2*alpha2^3*L1
          + 52*alpha2^3*alpha3*Ng
          - 45712/27*alpha2^4
          + 52417/54*alpha2^4*Ng
          - 1660/27*alpha2^4*Ng^2
          + 3/5*alpha1*alpha2^2*L2
          - 4/15*alpha1*alpha2^2*alpha3*Ng
          + 13/5*alpha1*alpha2^3*Ng
          - 7/150*alpha1^2*alpha2^2*Ng
          - 44/45*alpha1^2*alpha2^2*Ng^2
          + 65131/432*ND*alpha2^4
          - 1121/54*ND*alpha2^4*Ng
          + 561/40*ND*alpha1*alpha2^3
          + 261/400*ND*alpha1^2*alpha2^2
          - 91/50*ND*alpha1^2*alpha2^2*Ng
          - 425/216*ND^2*alpha2^4
          - 49/200*ND^2*alpha1^2*alpha2^2
          + 15/4*Tr[MU.MU]*alpha2^2
          + 15/2*Tr[MU.MD]*alpha2^2
          + 15/4*Tr[MD.MD]*alpha2^2
          + 5/4*Tr[ME.ME]*alpha2^2
          - 28*Tr[MU]*alpha2^2*alpha3
          - 729/8*Tr[MU]*alpha2^3
          - 593/40*Tr[MU]*alpha1*alpha2^2
          - 28*Tr[MD]*alpha2^2*alpha3
          - 729/8*Tr[MD]*alpha2^3
          - 533/40*Tr[MD]*alpha1*alpha2^2
          - 243/8*Tr[ME]*alpha2^3
          - 51/8*Tr[ME]*alpha1*alpha2^2
          + 6*Tr[M2UD]*alpha2^2
          + 21/2*Tr[M2UU]*alpha2^2
          + 21/2*Tr[M2DD]*alpha2^2
          + 7/2*Tr[M2LL]*alpha2^2
          + 45/2*T2UU*alpha2^2
          + 45/2*T2DD*alpha2^2
          + 5/2*T2LL*alpha2^2
          + 45*T2UD*alpha2^2
          + 15*T2UL*alpha2^2
          + 15*T2DL*alpha2^2
          ));

(* Beta function for alpha_3 *)
   betaalpha3 = (

       + fourpiinv * (
          - 4*alpha3*ep
          )

       + fourpiinv^2 * (
          - 44*alpha3^2
          + 16/3*alpha3^2*Ng
          )

       + fourpiinv^3 * (
          - 408*alpha3^3
          + 304/3*alpha3^3*Ng
          + 6*alpha2*alpha3^2*Ng
          + 22/15*alpha1*alpha3^2*Ng
          - 8*Tr[MU]*alpha3^2
          - 8*Tr[MD]*alpha3^2
          )

       + fourpiinv^4 * (
          - 5714*alpha3^4
          + 20132/9*alpha3^4*Ng
          - 2600/27*alpha3^4*Ng^2
          + 28*alpha2*alpha3^3*Ng
          + 505/12*alpha2^2*alpha3^2*Ng
          - 22/3*alpha2^2*alpha3^2*Ng^2
          + 308/45*alpha1*alpha3^3*Ng
          - 1/10*alpha1*alpha2*alpha3^2*Ng
          - 137/900*alpha1^2*alpha3^2*Ng
          - 242/135*alpha1^2*alpha3^2*Ng^2
          - 23/12*ND*alpha2^2*alpha3^2*Ng
          - 253/900*ND*alpha1^2*alpha3^2*Ng
          + 6*Tr[MU.MU]*alpha3^2
          + 12*Tr[MU.MD]*alpha3^2
          + 6*Tr[MD.MD]*alpha3^2
          - 160*Tr[MU]*alpha3^3
          - 93/2*Tr[MU]*alpha2*alpha3^2
          - 101/10*Tr[MU]*alpha1*alpha3^2
          - 160*Tr[MD]*alpha3^3
          - 93/2*Tr[MD]*alpha2*alpha3^2
          - 89/10*Tr[MD]*alpha1*alpha3^2
          - 24*Tr[M2UD]*alpha3^2
          + 12*Tr[M2UU]*alpha3^2
          + 12*Tr[M2DD]*alpha3^2
          + 42*T2UU*alpha3^2
          + 42*T2DD*alpha3^2
          + 84*T2UD*alpha3^2
          + 14*T2UL*alpha3^2
          + 14*T2DL*alpha3^2
          ));
