(* Quartic coupling beta functions for the general 2HDM *)
(* This file contains the beta functions: betalamijkl *)

(* Beta function for lam[1,1,1,1] *)

   betalam1111 = (

       + fourpiinv^(-1) * (
          - lam[1,1,1,1]*ep
          )

       + lam[1,2,2,1]^2
          + lam[1,2,1,2]*lam[2,1,2,1]
          + 2*lam[1,1,2,2]*lam[1,2,2,1]
          + 2*lam[1,1,2,2]^2
          + 12*lam[1,1,1,2]*lam[1,1,2,1]
          + 6*lam[1,1,1,1]^2
          - 9/2*alpha2*lam[1,1,1,1]*Doub1
          - 3/2*alpha2*lam[1,1,1,1]*xiW
          + 3/2*alpha2*lam[1,1,1,1]*xiW*Doub1
          + 9/8*alpha2^2*Doub1
          - 9/10*alpha1*lam[1,1,1,1]*Doub1
          - 3/10*alpha1*lam[1,1,1,1]*xiB
          + 3/10*alpha1*lam[1,1,1,1]*xiB*Doub1
          + 9/20*alpha1*alpha2*Doub1
          + 27/200*alpha1^2*Doub1
          + 6*Tr[u[1,1]]*lam[1,1,1,1]
          - 6*Tr[u[1,1].u[ 1,1]]
          + 3*Tr[u[1,2]]*lam[1,1,2,1]
          + 3*Tr[u[2,1]]*lam[1,1,1,2]
          + 6*Tr[d[1,1]]*lam[1,1,1,1]
          - 6*Tr[d[1,1].d[1,1]]
          + 3*Tr[d[1,2]]*lam[1,1,2,1]
          + 3*Tr[d[2,1]]*lam[1,1,1,2]
          + 2*Tr[l[1,1]]*lam[1,1,1,1]
          - 2*Tr[l[1,1].l[1,1]]
          + Tr[l[1,2]]*lam[1,1,2,1]
          + Tr[l[2,1]]*lam[1,1,1,2]);

(* Beta function for lam[2,2,2,2] *)

   betalam2222 = (

       + fourpiinv^(-1) * (
          - ep*lam[2,2,2,2]
          )

       + 6*lam[2,2,2,2]^2
          + 12*lam[1,2,2,2]*lam[2,1,2,2]
          + lam[1,2,2,1]^2
          + lam[1,2,1,2]*lam[2,1,2,1]
          + 2*lam[1,1,2,2]*lam[1,2,2,1]
          + 2*lam[1,1,2,2]^2
          - 9/2*alpha2*lam[2,2,2,2]*Doub2
          - 3/2*alpha2*xiW*lam[2,2,2,2]
          + 3/2*alpha2*xiW*lam[2,2,2,2]*Doub2
          + 9/8*alpha2^2*Doub2
          - 9/10*alpha1*lam[2,2,2,2]*Doub2
          - 3/10*alpha1*xiB*lam[2,2,2,2]
          + 3/10*alpha1*xiB*lam[2,2,2,2]*Doub2
          + 9/20*alpha1*alpha2*Doub2
          + 27/200*alpha1^2*Doub2
          + 3*Tr[u[1,2]]*lam[2,1,2,2]
          + 3*Tr[u[2,1]]*lam[1,2,2,2]
          + 6*Tr[u[2,2]]*lam[2,2,2,2]
          - 6*Tr[u[2,2].u[2,2]]
          + 3*Tr[d[1,2]]*lam[2,1,2,2]
          + 3*Tr[d[2,1]]*lam[1,2,2,2]
          + 6*Tr[d[2,2]]*lam[2,2,2,2]
          - 6*Tr[d[2,2].d[2,2]]
          + Tr[l[1,2]]*lam[2,1,2,2]
          + Tr[l[2,1]]*lam[1,2,2,2]
          + 2*Tr[l[2,2]]*lam[2,2,2,2]
          - 2*Tr[l[2,2].l[2,2]]);

(* Beta function for lam[1,1,2,2] *)

   betalam1122 = (

       + fourpiinv^(-1) * (
          - lam[1,1,2,2]*ep
          )

       + 2*lam[1,2,2,2]*lam[2,1,2,2]
          + lam[1,2,2,1]*lam[2,2,2,2]
          + lam[1,2,2,1]^2
          + lam[1,2,1,2]*lam[2,1,2,1]
          + 3*lam[1,1,2,2]*lam[2,2,2,2]
          + 2*lam[1,1,2,2]^2
          + 4*lam[1,1,2,1]*lam[1,2,2,2]
          + 4*lam[1,1,1,2]*lam[2,1,2,2]
          + 2*lam[1,1,1,2]*lam[1,1,2,1]
          + lam[1,1,1,1]*lam[1,2,2,1]
          + 3*lam[1,1,1,1]*lam[1,1,2,2]
          - 1/2*alpha2*lam[1,2,2,1]*Doub2
          - 1/2*alpha2*lam[1,2,2,1]*Doub1
          + alpha2*lam[1,2,2,1]*Doub1*Doub2
          + 1/2*alpha2*lam[1,2,2,1]*xiW*Doub2
          + 1/2*alpha2*lam[1,2,2,1]*xiW*Doub1
          - alpha2*lam[1,2,2,1]*xiW*Doub1*Doub2
          - 9/4*alpha2*lam[1,1,2,2]*Doub2
          - 9/4*alpha2*lam[1,1,2,2]*Doub1
          - 3/2*alpha2*lam[1,1,2,2]*xiW
          + 3/4*alpha2*lam[1,1,2,2]*xiW*Doub2
          + 3/4*alpha2*lam[1,1,2,2]*xiW*Doub1
          + 9/8*alpha2^2*Doub1*Doub2
          - 9/20*alpha1*lam[1,1,2,2]*Doub2
          - 9/20*alpha1*lam[1,1,2,2]*Doub1
          - 3/10*alpha1*lam[1,1,2,2]*xiB
          + 3/20*alpha1*lam[1,1,2,2]*xiB*Doub2
          + 3/20*alpha1*lam[1,1,2,2]*xiB*Doub1
          - 9/20*alpha1*alpha2*Doub1*Doub2
          + 27/200*alpha1^2*Doub1*Doub2
          + 3*Tr[u[1,1]]*lam[1,1,2,2]
          - 6*Tr[u[1,1].d[2,2]]
          + 3/2*Tr[u[1,2]]*lam[2,1,2,2]
          + 3/2*Tr[u[1,2]]*lam[1,1,2,1]
          - 6*Tr[u[1,2].u[2,1]]
          + 6*Tr[u[1,2].d[2,1]]
          + 3/2*Tr[u[2,1]]*lam[1,2,2,2]
          + 3/2*Tr[u[2,1]]*lam[1,1,1,2]
          + 6*Tr[u[2,1].d[1,2]]
          + 3*Tr[u[2,2]]*lam[1,1,2,2]
          - 6*Tr[u[2,2].d[1,1]]
          + 3*Tr[d[1,1]]*lam[1,1,2,2]
          + 3/2*Tr[d[1,2]]*lam[2,1,2,2]
          + 3/2*Tr[d[1,2]]*lam[1,1,2,1]
          - 6*Tr[d[1,2].d[2,1]]
          + 3/2*Tr[d[2,1]]*lam[1,2,2,2]
          + 3/2*Tr[d[2,1]]*lam[1,1,1,2]
          + 3*Tr[d[2,2]]*lam[1,1,2,2]
          + Tr[l[1,1]]*lam[1,1,2,2]
          + 1/2*Tr[l[1,2]]*lam[2,1,2,2]
          + 1/2*Tr[l[1,2]]*lam[1,1,2,1]
          - 2*Tr[l[1,2].l[2,1]]
          + 1/2*Tr[l[2,1]]*lam[1,2,2,2]
          + 1/2*Tr[l[2,1]]*lam[1,1,1,2]
          + Tr[l[2,2]]*lam[1,1,2,2]);

(* Beta function for lam[1,2,2,1] *)

   betalam1221 = (

       + fourpiinv^(-1) * (
          - ep*lam[1,2,2,1]
          )

       + 5*lam[1,2,2,2]*lam[2,1,2,2]
          + lam[1,2,2,1]*lam[2,2,2,2]
          + 2*lam[1,2,2,1]^2
          + 4*lam[1,2,1,2]*lam[2,1,2,1]
          + 4*lam[1,1,2,2]*lam[1,2,2,1]
          + lam[1,1,2,1]*lam[1,2,2,2]
          + lam[1,1,1,2]*lam[2,1,2,2]
          + 5*lam[1,1,1,2]*lam[1,1,2,1]
          + lam[1,1,1,1]*lam[1,2,2,1]
          - 5/4*alpha2*lam[1,2,2,1]*Doub2
          - 5/4*alpha2*lam[1,2,2,1]*Doub1
          - 2*alpha2*lam[1,2,2,1]*Doub1*Doub2
          - 3/2*alpha2*lam[1,2,2,1]*xiW
          - 1/4*alpha2*lam[1,2,2,1]*xiW*Doub2
          - 1/4*alpha2*lam[1,2,2,1]*xiW*Doub1
          + 2*alpha2*lam[1,2,2,1]*xiW*Doub1*Doub2
          - 9/20*alpha1*lam[1,2,2,1]*Doub2
          - 9/20*alpha1*lam[1,2,2,1]*Doub1
          - 3/10*alpha1*lam[1,2,2,1]*xiB
          + 3/20*alpha1*lam[1,2,2,1]*xiB*Doub2
          + 3/20*alpha1*lam[1,2,2,1]*xiB*Doub1
          + 9/10*alpha1*alpha2*Doub1*Doub2
          + 3*Tr[u[1,1]]*lam[1,2,2,1]
          - 6*Tr[u[1,1].u[2,2]]
          + 6*Tr[u[1,1].d[2,2]]
          + 3/2*Tr[u[1,2]]*lam[2,1,2,2]
          + 3/2*Tr[u[1,2]]*lam[1,1,2,1]
          - 6*Tr[u[1,2].d[2,1]]
          + 3/2*Tr[u[2,1]]*lam[1,2,2,2]
          + 3/2*Tr[u[2,1]]*lam[1,1,1,2]
          - 6*Tr[u[2,1].d[1,2]]
          + 3*Tr[u[2,2]]*lam[1,2,2,1]
          + 6*Tr[u[2,2].d[1,1]]
          + 3*Tr[d[1,1]]*lam[1,2,2,1]
          - 6*Tr[d[1,1].d[2,2]]
          + 3/2*Tr[d[1,2]]*lam[2,1,2,2]
          + 3/2*Tr[d[1,2]]*lam[1,1,2,1]
          + 3/2*Tr[d[2,1]]*lam[1,2,2,2]
          + 3/2*Tr[d[2,1]]*lam[1,1,1,2]
          + 3*Tr[d[2,2]]*lam[1,2,2,1]
          + Tr[l[1,1]]*lam[1,2,2,1]
          - 2*Tr[l[1,1].l[2,2]]
          + 1/2*Tr[l[1,2]]*lam[2,1,2,2]
          + 1/2*Tr[l[1,2]]*lam[1,1,2,1]
          + 1/2*Tr[l[2,1]]*lam[1,2,2,2]
          + 1/2*Tr[l[2,1]]*lam[1,1,1,2]
          + Tr[l[2,2]]*lam[1,2,2,1]);

(* Beta function for lam[1,2,1,2] *)

   betalam1212 = (

       + fourpiinv^(-1) * (
          - lam[1,2,1,2]*ep
          )

       + 5*lam[1,2,2,2]^2
          + lam[1,2,1,2]*lam[2,2,2,2]
          + 6*lam[1,2,1,2]*lam[1,2,2,1]
          + 4*lam[1,1,2,2]*lam[1,2,1,2]
          + 2*lam[1,1,1,2]*lam[1,2,2,2]
          + 5*lam[1,1,1,2]^2
          + lam[1,1,1,1]*lam[1,2,1,2]
          - 5/4*alpha2*lam[1,2,1,2]*Doub2
          - 5/4*alpha2*lam[1,2,1,2]*Doub1
          - 2*alpha2*lam[1,2,1,2]*Doub1*Doub2
          - 3/2*alpha2*lam[1,2,1,2]*xiW
          - 1/4*alpha2*lam[1,2,1,2]*xiW*Doub2
          - 1/4*alpha2*lam[1,2,1,2]*xiW*Doub1
          + 2*alpha2*lam[1,2,1,2]*xiW*Doub1*Doub2
          - 3/20*alpha1*lam[1,2,1,2]*Doub2
          - 3/20*alpha1*lam[1,2,1,2]*Doub1
          - 3/5*alpha1*lam[1,2,1,2]*Doub1*Doub2
          - 3/10*alpha1*lam[1,2,1,2]*xiB
          - 3/20*alpha1*lam[1,2,1,2]*xiB*Doub2
          - 3/20*alpha1*lam[1,2,1,2]*xiB*Doub1
          + 3/5*alpha1*lam[1,2,1,2]*xiB*Doub1*Doub2
          + 3*Tr[u[1,1]]*lam[1,2,1,2]
          + 3*Tr[u[1,2]]*lam[1,2,2,2]
          + 3*Tr[u[1,2]]*lam[1,1,1,2]
          - 6*Tr[u[1,2].u[1,2]]
          + 3*Tr[u[2,2]]*lam[1,2,1,2]
          + 3*Tr[d[1,1]]*lam[1,2,1,2]
          + 3*Tr[d[1,2]]*lam[1,2,2,2]
          + 3*Tr[d[1,2]]*lam[1,1,1,2]
          - 6*Tr[d[1,2].d[1,2]]
          + 3*Tr[d[2,2]]*lam[1,2,1,2]
          + Tr[l[1,1]]*lam[1,2,1,2]
          + Tr[l[1,2]]*lam[1,2,2,2]
          + Tr[l[1,2]]*lam[1,1,1,2]
          - 2*Tr[l[1,2].l[1,2]]
          + Tr[l[2,2]]*lam[1,2,1,2]);

(* Beta function for lam[2,1,2,1] *)

   betalam2121 = (

       + fourpiinv^(-1) * (
          - lam[2,1,2,1]*ep
          )

       + 5*lam[2,1,2,2]^2
          + lam[2,1,2,1]*lam[2,2,2,2]
          + 6*lam[2,1,2,1]*lam[1,2,2,1]
          + 4*lam[1,1,2,2]*lam[2,1,2,1]
          + 2*lam[1,1,2,1]*lam[2,1,2,2]
          + 5*lam[1,1,2,1]^2
          + lam[1,1,1,1]*lam[2,1,2,1]
          - 5/4*alpha2*lam[2,1,2,1]*Doub2
          - 5/4*alpha2*lam[2,1,2,1]*Doub1
          - 2*alpha2*lam[2,1,2,1]*Doub1*Doub2
          - 3/2*alpha2*lam[2,1,2,1]*xiW
          - 1/4*alpha2*lam[2,1,2,1]*xiW*Doub2
          - 1/4*alpha2*lam[2,1,2,1]*xiW*Doub1
          + 2*alpha2*lam[2,1,2,1]*xiW*Doub1*Doub2
          - 3/20*alpha1*lam[2,1,2,1]*Doub2
          - 3/20*alpha1*lam[2,1,2,1]*Doub1
          - 3/5*alpha1*lam[2,1,2,1]*Doub1*Doub2
          - 3/10*alpha1*lam[2,1,2,1]*xiB
          - 3/20*alpha1*lam[2,1,2,1]*xiB*Doub2
          - 3/20*alpha1*lam[2,1,2,1]*xiB*Doub1
          + 3/5*alpha1*lam[2,1,2,1]*xiB*Doub1*Doub2
          + 3*Tr[u[1,1]]*lam[2,1,2,1]
          + 3*Tr[u[2,1]]*lam[2,1,2,2]
          + 3*Tr[u[2,1]]*lam[1,1,2,1]
          - 6*Tr[u[2,1].u[2,1]]
          + 3*Tr[u[2,2]]*lam[2,1,2,1]
          + 3*Tr[d[1,1]]*lam[2,1,2,1]
          + 3*Tr[d[2,1]]*lam[2,1,2,2]
          + 3*Tr[d[2,1]]*lam[1,1,2,1]
          - 6*Tr[d[2,1].d[2,1]]
          + 3*Tr[d[2,2]]*lam[2,1,2,1]
          + Tr[l[1,1]]*lam[2,1,2,1]
          + Tr[l[2,1]]*lam[2,1,2,2]
          + Tr[l[2,1]]*lam[1,1,2,1]
          - 2*Tr[l[2,1].l[2,1]]
          + Tr[l[2,2]]*lam[2,1,2,1]);

(* Beta function for lam[1,1,1,2] *)

   betalam1112 = (

       + fourpiinv^(-1) * (
          - lam[1,1,1,2]*ep
          )

       + 2*lam[1,2,2,1]*lam[1,2,2,2]
          + lam[1,2,1,2]*lam[2,1,2,2]
          + 3*lam[1,1,2,2]*lam[1,2,2,2]
          + 5*lam[1,1,2,1]*lam[1,2,1,2]
          + 4*lam[1,1,1,2]*lam[1,2,2,1]
          + 3*lam[1,1,1,2]*lam[1,1,2,2]
          + 6*lam[1,1,1,1]*lam[1,1,1,2]
          - 3/4*alpha2*lam[1,1,1,2]*Doub2
          - 3*alpha2*lam[1,1,1,2]*Doub1
          - 3/4*alpha2*lam[1,1,1,2]*Doub1*Doub2
          - 3/2*alpha2*lam[1,1,1,2]*xiW
          + 3/4*alpha2*lam[1,1,1,2]*xiW*Doub1
          + 3/4*alpha2*lam[1,1,1,2]*xiW*Doub1*Doub2
          - 3/20*alpha1*lam[1,1,1,2]*Doub2
          - 3/5*alpha1*lam[1,1,1,2]*Doub1
          - 3/20*alpha1*lam[1,1,1,2]*Doub1*Doub2
          - 3/10*alpha1*lam[1,1,1,2]*xiB
          + 3/20*alpha1*lam[1,1,1,2]*xiB*Doub1
          + 3/20*alpha1*lam[1,1,1,2]*xiB*Doub1*Doub2
          + 9/2*Tr[u[1,1]]*lam[1,1,1,2]
          - 6*Tr[u[1,1].u[1,2]]
          + 3/2*Tr[u[1,2]]*lam[1,2,2,1]
          + 3/2*Tr[u[1,2]]*lam[1,1,2,2]
          + 3/2*Tr[u[1,2]]*lam[1,1,1,1]
          + 3/2*Tr[u[2,1]]*lam[1,2,1,2]
          + 3/2*Tr[u[2,2]]*lam[1,1,1,2]
          + 9/2*Tr[d[1,1]]*lam[1,1,1,2]
          - 6*Tr[d[1,1].d[1,2]]
          + 3/2*Tr[d[1,2]]*lam[1,2,2,1]
          + 3/2*Tr[d[1,2]]*lam[1,1,2,2]
          + 3/2*Tr[d[1,2]]*lam[1,1,1,1]
          + 3/2*Tr[d[2,1]]*lam[1,2,1,2]
          + 3/2*Tr[d[2,2]]*lam[1,1,1,2]
          + 3/2*Tr[l[1,1]]*lam[1,1,1,2]
          - 2*Tr[l[1,1].l[1,2]]
          + 1/2*Tr[l[1,2]]*lam[1,2,2,1]
          + 1/2*Tr[l[1,2]]*lam[1,1,2,2]
          + 1/2*Tr[l[1,2]]*lam[1,1,1,1]
          + 1/2*Tr[l[2,1]]*lam[1,2,1,2]
          + 1/2*Tr[l[2,2]]*lam[1,1,1,2]);

(* Beta function for lam[1,1,2,1] *)

   betalam1121 = (

       + fourpiinv^(-1) * (
          - lam[1,1,2,1]*ep
          )

       + 2*lam[1,2,2,1]*lam[2,1,2,2]
          + lam[2,1,2,1]*lam[1,2,2,2]
          + 3*lam[1,1,2,2]*lam[2,1,2,2]
          + 4*lam[1,1,2,1]*lam[1,2,2,1]
          + 3*lam[1,1,2,1]*lam[1,1,2,2]
          + 5*lam[1,1,1,2]*lam[2,1,2,1]
          + 6*lam[1,1,1,1]*lam[1,1,2,1]
          - 3/4*alpha2*lam[1,1,2,1]*Doub2
          - 3*alpha2*lam[1,1,2,1]*Doub1
          - 3/4*alpha2*lam[1,1,2,1]*Doub1*Doub2
          - 3/2*alpha2*lam[1,1,2,1]*xiW
          + 3/4*alpha2*lam[1,1,2,1]*xiW*Doub1
          + 3/4*alpha2*lam[1,1,2,1]*xiW*Doub1*Doub2
          - 3/20*alpha1*lam[1,1,2,1]*Doub2
          - 3/5*alpha1*lam[1,1,2,1]*Doub1
          - 3/20*alpha1*lam[1,1,2,1]*Doub1*Doub2
          - 3/10*alpha1*lam[1,1,2,1]*xiB
          + 3/20*alpha1*lam[1,1,2,1]*xiB*Doub1
          + 3/20*alpha1*lam[1,1,2,1]*xiB*Doub1*Doub2
          + 9/2*Tr[u[1,1]]*lam[1,1,2,1]
          - 6*Tr[u[1,1].u[2,1]]
          + 3/2*Tr[u[1,2]]*lam[2,1,2,1]
          + 3/2*Tr[u[2,1]]*lam[1,2,2,1]
          + 3/2*Tr[u[2,1]]*lam[1,1,2,2]
          + 3/2*Tr[u[2,1]]*lam[1,1,1,1]
          + 3/2*Tr[u[2,2]]*lam[1,1,2,1]
          + 9/2*Tr[d[1,1]]*lam[1,1,2,1]
          - 6*Tr[d[1,1].d[2,1]]
          + 3/2*Tr[d[1,2]]*lam[2,1,2,1]
          + 3/2*Tr[d[2,1]]*lam[1,2,2,1]
          + 3/2*Tr[d[2,1]]*lam[1,1,2,2]
          + 3/2*Tr[d[2,1]]*lam[1,1,1,1]
          + 3/2*Tr[d[2,2]]*lam[1,1,2,1]
          + 3/2*Tr[l[1,1]]*lam[1,1,2,1]
          - 2*Tr[l[1,1].l[2,1]]
          + 1/2*Tr[l[1,2]]*lam[2,1,2,1]
          + 1/2*Tr[l[2,1]]*lam[1,2,2,1]
          + 1/2*Tr[l[2,1]]*lam[1,1,2,2]
          + 1/2*Tr[l[2,1]]*lam[1,1,1,1]
          + 1/2*Tr[l[2,2]]*lam[1,1,2,1]);

(* Beta function for lam[1,2,2,2] *)

   betalam1222 = (

       + fourpiinv^(-1) * (
          - ep*lam[1,2,2,2]
          )

       + 6*lam[1,2,2,2]*lam[2,2,2,2]
          + 4*lam[1,2,2,1]*lam[1,2,2,2]
          + 5*lam[1,2,1,2]*lam[2,1,2,2]
          + 3*lam[1,1,2,2]*lam[1,2,2,2]
          + lam[1,1,2,1]*lam[1,2,1,2]
          + 2*lam[1,1,1,2]*lam[1,2,2,1]
          + 3*lam[1,1,1,2]*lam[1,1,2,2]
          - 3*alpha2*lam[1,2,2,2]*Doub2
          - 3/4*alpha2*Doub1*lam[1,2,2,2]
          - 3/4*alpha2*Doub1*lam[1,2,2,2]*Doub2
          - 3/2*alpha2*xiW*lam[1,2,2,2]
          + 3/4*alpha2*xiW*lam[1,2,2,2]*Doub2
          + 3/4*alpha2*xiW*Doub1*lam[1,2,2,2]*Doub2
          - 3/5*alpha1*lam[1,2,2,2]*Doub2
          - 3/20*alpha1*Doub1*lam[1,2,2,2]
          - 3/20*alpha1*Doub1*lam[1,2,2,2]*Doub2
          - 3/10*alpha1*xiB*lam[1,2,2,2]
          + 3/20*alpha1*xiB*lam[1,2,2,2]*Doub2
          + 3/20*alpha1*xiB*Doub1*lam[1,2,2,2]*Doub2
          + 3/2*Tr[u[1,1]]*lam[1,2,2,2]
          + 3/2*Tr[u[1,2]]*lam[2,2,2,2]
          + 3/2*Tr[u[1,2]]*lam[1,2,2,1]
          + 3/2*Tr[u[1,2]]*lam[1,1,2,2]
          - 6*Tr[u[1,2].u[2,2]]
          + 3/2*Tr[u[2,1]]*lam[1,2,1,2]
          + 9/2*Tr[u[2,2]]*lam[1,2,2,2]
          + 3/2*Tr[d[1,1]]*lam[1,2,2,2]
          + 3/2*Tr[d[1,2]]*lam[2,2,2,2]
          + 3/2*Tr[d[1,2]]*lam[1,2,2,1]
          + 3/2*Tr[d[1,2]]*lam[1,1,2,2]
          - 6*Tr[d[1,2].d[2,2]]
          + 3/2*Tr[d[2,1]]*lam[1,2,1,2]
          + 9/2*Tr[d[2,2]]*lam[1,2,2,2]
          + 1/2*Tr[l[1,1]]*lam[1,2,2,2]
          + 1/2*Tr[l[1,2]]*lam[2,2,2,2]
          + 1/2*Tr[l[1,2]]*lam[1,2,2,1]
          + 1/2*Tr[l[1,2]]*lam[1,1,2,2]
          - 2*Tr[l[1,2].l[2,2]]
          + 1/2*Tr[l[2,1]]*lam[1,2,1,2]
          + 3/2*Tr[l[2,2]]*lam[1,2,2,2]);

(* Beta function for lam[2,1,2,2] *)

   betalam2122 = (

       + fourpiinv^(-1) * (
          - ep*lam[2,1,2,2]
          )

       + 6*lam[2,1,2,2]*lam[2,2,2,2]
          + 4*lam[1,2,2,1]*lam[2,1,2,2]
          + 5*lam[2,1,2,1]*lam[1,2,2,2]
          + 3*lam[1,1,2,2]*lam[2,1,2,2]
          + 2*lam[1,1,2,1]*lam[1,2,2,1]
          + 3*lam[1,1,2,1]*lam[1,1,2,2]
          + lam[1,1,1,2]*lam[2,1,2,1]
          - 3*alpha2*lam[2,1,2,2]*Doub2
          - 3/4*alpha2*Doub1*lam[2,1,2,2]
          - 3/4*alpha2*Doub1*lam[2,1,2,2]*Doub2
          - 3/2*alpha2*xiW*lam[2,1,2,2]
          + 3/4*alpha2*xiW*lam[2,1,2,2]*Doub2
          + 3/4*alpha2*xiW*Doub1*lam[2,1,2,2]*Doub2
          - 3/5*alpha1*lam[2,1,2,2]*Doub2
          - 3/20*alpha1*Doub1*lam[2,1,2,2]
          - 3/20*alpha1*Doub1*lam[2,1,2,2]*Doub2
          - 3/10*alpha1*xiB*lam[2,1,2,2]
          + 3/20*alpha1*xiB*lam[2,1,2,2]*Doub2
          + 3/20*alpha1*xiB*Doub1*lam[2,1,2,2]*Doub2
          + 3/2*Tr[u[1,1]]*lam[2,1,2,2]
          + 3/2*Tr[u[1,2]]*lam[2,1,2,1]
          + 3/2*Tr[u[2,1]]*lam[2,2,2,2]
          + 3/2*Tr[u[2,1]]*lam[1,2,2,1]
          + 3/2*Tr[u[2,1]]*lam[1,1,2,2]
          - 6*Tr[u[2,1].u[2,2]]
          + 9/2*Tr[u[2,2]]*lam[2,1,2,2]
          + 3/2*Tr[d[1,1]]*lam[2,1,2,2]
          + 3/2*Tr[d[1,2]]*lam[2,1,2,1]
          + 3/2*Tr[d[2,1]]*lam[2,2,2,2]
          + 3/2*Tr[d[2,1]]*lam[1,2,2,1]
          + 3/2*Tr[d[2,1]]*lam[1,1,2,2]
          - 6*Tr[d[2,1].d[2,2]]
          + 9/2*Tr[d[2,2]]*lam[2,1,2,2]
          + 1/2*Tr[l[1,1]]*lam[2,1,2,2]
          + 1/2*Tr[l[1,2]]*lam[2,1,2,1]
          + 1/2*Tr[l[2,1]]*lam[2,2,2,2]
          + 1/2*Tr[l[2,1]]*lam[1,2,2,1]
          + 1/2*Tr[l[2,1]]*lam[1,1,2,2]
          - 2*Tr[l[2,1].l[2,2]]
          + 3/2*Tr[l[2,2]]*lam[2,1,2,2]);
