(* Replacement rule for specifiying the results to the SM *)
TypeSpecSM = {u[x_,y_] :> Yu[x].Yud[y], d[x_,y_] :> Yd[y].Ydd[x], l[x_,y_] :> Yl[y].Yld[x],
              lam[1,1,1,1] -> 0, lam[2,2,2,2] -> lam, lam[1,1,2,2] -> 0, lam[1,2,2,1] -> 0,
              lam[1,2,1,2] -> 0, lam[2,1,2,1] -> 0,
              lam[1,1,1,2] -> 0, lam[1,1,2,1] -> 0, lam[1,2,1,1] -> 0, lam[2,1,1,1] -> 0,
              lam[1,2,2,2] -> 0, lam[2,1,2,2] -> 0, lam[2,2,1,2] -> 0, lam[2,2,2,1] -> 0,
              Yu[1] -> 0, Yud[1] -> 0, Yd[1] -> 0, Ydd[1] -> 0, Yl[1] -> 0, Yld[1] -> 0,
              Yu[2] -> Yu, Yud[2] -> Yud, Yd[2] -> Yd, Ydd[2] -> Ydd, Yl[2] -> Yl, Yld[2] -> Yld,
              Yu1 -> 0, Yd1 -> 0, Yl1 -> 0, Yu2 -> Yu, Yd2 -> Yd, Yl2 -> Yl,
              Yu1d -> 0, Yd1d -> 0, Yl1d -> 0, Yu2d -> Yud, Yd2d -> Ydd, Yl2d -> Yld,
              Dot[___, 0, ___] -> 0, Tr[0] -> 0, MatrixProduct[0] -> 0, Doub1 -> 0, Doub2 -> 1,
              ND -> 1, L1 -> lam, L2 -> lam, LL4 -> lam^2, LL5 -> lam^2,
              T2UU -> Tr[MU]*Tr[MU], T2DD -> Tr[MD]*Tr[MD], T2UD -> Tr[MU]*Tr[MD],
              T2LL -> Tr[ML]*Tr[ML], T2DL -> Tr[MD]*Tr[ML], T2UL -> Tr[MU]*Tr[ML],
              M2UU -> Yu.Yud.Yu.Yud, M2DD -> Yd.Ydd.Yd.Ydd, M2UD -> Yu.Yud.Yd.Ydd,
              M2LL -> Yl.Yld.Yl.Yld, MU -> Yu.Yud, MD -> Yd.Ydd, ML -> Yl.Yld};


(* Replacement rule for specifiying the above results to the Type I 2HDM *)
TypeSpecTypeI = {u[x_,y_] :> Yu[x].Yud[y], d[x_,y_] :> Yd[y].Ydd[x], l[x_,y_] :> Yl[y].Yld[x],
              lam[1,1,1,2] -> 0, lam[1,1,2,1] -> 0, lam[1,2,1,1] -> 0, lam[2,1,1,1] -> 0,
              lam[1,2,2,2] -> 0, lam[2,1,2,2] -> 0, lam[2,2,1,2] -> 0, lam[2,2,2,1] -> 0,
              Yu[1] -> 0, Yud[1] -> 0, Yd[1] -> 0, Ydd[1] -> 0, Yl[1] -> 0, Yld[1] -> 0,
              Yu[2] -> Yu, Yud[2] -> Yud, Yd[2] -> Yd, Ydd[2] -> Ydd, Yl[2] -> Yl, Yld[2] -> Yld,
              Yu1 -> 0, Yd1 -> 0, Yl1 -> 0, Yu2 -> Yu, Yd2 -> Yd, Yl2 -> Yl,
              Dot[___, 0, ___] -> 0, Tr[0] -> 0, MatrixProduct[0] -> 0, Doub1 -> 1, Doub2 -> 1,
              ND -> 2, L1 -> Sum[lam[i,i,j,j], {i,1,2}, {j,1,2}], L2 -> Sum[lam[i,j,j,i], {i,1,2}, {j,1,2}],
              LL4 -> Sum[lam[i,j,k,l]*lam[l,i,j,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              LL5 -> Sum[lam[i,j,k,l]*lam[j,i,l,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              T2UU -> Tr[MU]*Tr[MU], T2DD -> Tr[MD]*Tr[MD], T2UD -> Tr[MU]*Tr[MD],
              T2LL -> Tr[ML]*Tr[ML], T2DL -> Tr[MD]*Tr[ML], T2UL -> Tr[MU]*Tr[ML],
              M2UU -> Yu.Yud.Yu.Yud, M2DD -> Yd.Ydd.Yd.Ydd, M2UD -> Yu.Yud.Yd.Ydd,
              M2LL -> Yl.Yld.Yl.Yld, MU -> Yu.Yud, MD -> Yd.Ydd, ML -> Yl.Yld};


(* Replacement rule for specifiying the above results to the Type II 2HDM *)
TypeSpecTypeII = {u[x_,y_] :> Yu[x].Yud[y], d[x_,y_] :> Yd[y].Ydd[x], l[x_,y_] :> Yl[y].Yld[x],
              lam[1,1,1,2] -> 0, lam[1,1,2,1] -> 0, lam[1,2,1,1] -> 0, lam[2,1,1,1] -> 0,
              lam[1,2,2,2] -> 0, lam[2,1,2,2] -> 0, lam[2,2,1,2] -> 0, lam[2,2,2,1] -> 0,
              Yu[1] -> 0, Yud[1] -> 0, Yd[1] -> Yd, Ydd[1] -> Ydd, Yl[1] -> Yl, Yld[1] -> Yld,
              Yu[2] -> Yu, Yud[2] -> Yud, Yd[2] -> 0, Ydd[2] -> 0, Yl[2] -> 0, Yld[2] -> 0,
              Yu1 -> 0, Yd1 -> Yd, Yl1 -> Yl, Yu2 -> Yu, Yd2 -> 0, Yl2 -> 0,
              Dot[___, 0, ___] -> 0, Tr[0] -> 0, MatrixProduct[0] -> 0, Doub1 -> 1, Doub2 -> 1,
              ND -> 2, L1 -> Sum[lam[i,i,j,j], {i,1,2}, {j,1,2}], L2 -> Sum[lam[i,j,j,i], {i,1,2}, {j,1,2}],
              LL4 -> Sum[lam[i,j,k,l]*lam[l,i,j,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              LL5 -> Sum[lam[i,j,k,l]*lam[j,i,l,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              T2UU -> Tr[MU]*Tr[MU], T2DD -> Tr[MD]*Tr[MD], T2UD -> 0,
              T2LL -> Tr[ML]*Tr[ML], T2DL -> Tr[MD]*Tr[ML], T2UL -> 0,
              M2UU -> Yu.Yud.Yu.Yud, M2DD -> Yd.Ydd.Yd.Ydd, M2UD -> 0, M2LL -> Yl.Yld.Yl.Yld,
              MU -> Yu.Yud, MD -> Yd.Ydd, ML -> Yl.Yld};


(* Replacement rule for specifiying the above results to the Type X (lepton-specific) 2HDM *)
TypeSpecTypeX = {u[x_,y_] :> Yu[x].Yud[y], d[x_,y_] :> Yd[y].Ydd[x], l[x_,y_] :> Yl[y].Yld[x],
              lam[1,1,1,2] -> 0, lam[1,1,2,1] -> 0, lam[1,2,1,1] -> 0, lam[2,1,1,1] -> 0,
              lam[1,2,2,2] -> 0, lam[2,1,2,2] -> 0, lam[2,2,1,2] -> 0, lam[2,2,2,1] -> 0,
              Yu[1] -> 0, Yud[1] -> 0, Yd[1] -> 0, Ydd[1] -> 0, Yl[1] -> Yl, Yld[1] -> Yld,
              Yu[2] -> Yu, Yud[2] -> Yud, Yd[2] -> Yd, Ydd[2] -> Ydd, Yl[2] -> 0, Yld[2] -> 0,
              Yu1 -> 0, Yd1 -> 0, Yl1 -> Yl, Yu2 -> Yu, Yd2 -> Yd, Yl2 -> 0,
              Dot[___, 0, ___] -> 0, Tr[0] -> 0, MatrixProduct[0] -> 0, Doub1 -> 1, Doub2 -> 1,
              ND -> 2, L1 -> Sum[lam[i,i,j,j], {i,1,2}, {j,1,2}], L2 -> Sum[lam[i,j,j,i], {i,1,2}, {j,1,2}],
              LL4 -> Sum[lam[i,j,k,l]*lam[l,i,j,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              LL5 -> Sum[lam[i,j,k,l]*lam[j,i,l,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              T2UU -> Tr[MU]*Tr[MU], T2DD -> Tr[MD]*Tr[MD], T2UD -> Tr[MU]*Tr[MD],
              T2LL -> Tr[ML]*Tr[ML], T2DL -> 0, T2UL -> 0,
              M2UU -> Yu.Yud.Yu.Yud, M2DD -> Yd.Ydd.Yd.Ydd, M2UD -> Yu.Yud.Yd.Ydd, M2LL -> Yl.Yld.Yl.Yld,
              MU -> Yu.Yud, MD -> Yd.Ydd, ML -> Yl.Yld};

(* Replacement rule for specifiying the above results to the Type Y (flipped) 2HDM *)
TypeSpecTypeY = {u[x_,y_] :> Yu[x].Yud[y], d[x_,y_] :> Yd[y].Ydd[x], l[x_,y_] :> Yl[y].Yld[x],
              lam[1,1,1,2] -> 0, lam[1,1,2,1] -> 0, lam[1,2,1,1] -> 0, lam[2,1,1,1] -> 0,
              lam[1,2,2,2] -> 0, lam[2,1,2,2] -> 0, lam[2,2,1,2] -> 0, lam[2,2,2,1] -> 0,
              Yu[1] -> 0, Yud[1] -> 0, Yd[1] -> Yd, Ydd[1] -> Ydd, Yl[1] -> 0, Yld[1] -> 0,
              Yu[2] -> Yu, Yud[2] -> Yud, Yd[2] -> 0, Ydd[2] -> 0, Yl[2] -> Yl, Yld[2] -> Yld,
              Yu1 -> 0, Yd1 -> Yd, Yl1 -> 0, Yu2 -> Yu, Yd2 -> 0, Yl2 -> Yl,
              Dot[___, 0, ___] -> 0, Tr[0] -> 0, MatrixProduct[0] -> 0, Doub1 -> 1, Doub2 -> 1,
              ND -> 2, L1 -> Sum[lam[i,i,j,j], {i,1,2}, {j,1,2}], L2 -> Sum[lam[i,j,j,i], {i,1,2}, {j,1,2}],
              LL4 -> Sum[lam[i,j,k,l]*lam[l,i,j,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              LL5 -> Sum[lam[i,j,k,l]*lam[j,i,l,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              T2UU -> Tr[MU]*Tr[MU], T2DD -> Tr[MD]*Tr[MD], T2UD -> 0,
              T2LL -> Tr[ML]*Tr[ML], T2DL -> 0, T2UL -> Tr[MU]*Tr[ML],
              M2UU -> Yu.Yud.Yu.Yud, M2DD -> Yd.Ydd.Yd.Ydd, M2UD -> 0, M2LL -> Yl.Yld.Yl.Yld,
              MU -> Yu.Yud, MD -> Yd.Ydd, ML -> Yl.Yld};

(* Replacement rule for specifiying the above results to the Type III (general) 2HDM *)
TypeSpecTypeIII = {u[x_,y_] :> Yu[x].Yud[y], d[x_,y_] :> Yd[y].Ydd[x], l[x_,y_] :> Yl[y].Yld[x],
              Yu1 -> Yu[1], Yd1 -> Yd[1], Yl1 -> Yl[1], Yu2 -> Yu[2], Yd2 -> Yd[2], Yl2 -> Yl[2],
              Doub1 -> 1, Doub2 -> 1, ND -> 2,
              L1 -> Sum[lam[i,i,j,j], {i,1,2}, {j,1,2}], L2 -> Sum[lam[i,j,j,i], {i,1,2}, {j,1,2}],
              LL4 -> Sum[lam[i,j,k,l]*lam[l,i,j,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              LL5 -> Sum[lam[i,j,k,l]*lam[j,i,l,k], {i,1,2}, {j,1,2}, {k,1,2}, {l,1,2}],
              T2UU -> Sum[Tr[u[i,j]]*Tr[u[j,i]],{i,1,2},{j,1,2}], T2DD -> Sum[Tr[d[i,j]]*Tr[d[j,i]],{i,1,2},{j,1,2}],
              T2UD -> Sum[Tr[u[i,j]]*Tr[d[j,i]],{i,1,2},{j,1,2}], T2LL -> Sum[Tr[l[i,j]]*Tr[l[j,i]],{i,1,2},{j,1,2}],
              T2DL -> Sum[Tr[d[i,j]]*Tr[l[j,i]],{i,1,2},{j,1,2}], T2UL -> Sum[Tr[u[i,j]]*Tr[l[j,i]],{i,1,2},{j,1,2}],
              M2UU -> Sum[u[i,j].u[j,i],{i,1,2},{j,1,2}], M2DD -> Sum[d[i,j].d[j,i],{i,1,2},{j,1,2}],
              M2UD -> Sum[u[i,j].d[j,i],{i,1,2},{j,1,2}], M2LL -> Sum[l[i,j].l[j,i],{i,1,2},{j,1,2}],
              MU -> Sum[u[i,i], {i,1,2}], MD -> Sum[d[i,i], {i,1,2}], ML -> Sum[l[i,i], {i,1,2}]};
