(* Yukawa coupling beta functions in the special basis *)
(* This file contains the beta functions: betaytp, betaybp1, betaybp2 *)


(* Top Yukawa beta function in the special basis *)

   betaytp = (

       + fourpiinv * (
          + 1/4*ytp*ybp2*ybp2cc
          + 3/4*ytp*ybp1*ybp1cc
          + 9/4*ytp^3
          - 4*alpha3*ytp
          - 9/8*alpha2*ytp
          - 17/40*alpha1*ytp
          )

       + fourpiinv^2 * (
          - 5/4*ytp*ybp2^2*ybp2cc^2
          - 11/8*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          - 1/8*ytp*ybp1^2*ybp1cc^2
          - 5/4*ytp^3*ybp2*ybp2cc
          - 11/8*ytp^3*ybp1*ybp1cc
          - 6*ytp^5
          + 3/4*lamp1222*lamp2122*ytp
          + 9/4*lamp1112*lamp1121*ytp
          + 3*lamp1212*lamp2121*ytp
          + lamp1221*ytp*ybp2*ybp2cc
          + 1/2*lamp1221^2*ytp
          - lamp1122*ytp*ybp2*ybp2cc
          + 1/2*lamp1122*lamp1221*ytp
          + 1/2*lamp1122^2*ytp
          - 6*lamp1111*ytp^3
          + 3*lamp1111^2*ytp
          + 8/3*alpha3*ytp*ybp2*ybp2cc
          + 2*alpha3*ytp*ybp1*ybp1cc
          + 18*alpha3*ytp^3
          - 202/3*alpha3^2*ytp
          + 40/9*alpha3^2*Ng*ytp
          + 33/32*alpha2*ytp*ybp2*ybp2cc
          + 99/32*alpha2*ytp*ybp1*ybp1cc
          + 225/32*alpha2*ytp^3
          + 9/2*alpha2*alpha3*ytp
          - 33/8*alpha2^2*ytp
          + 1/2*alpha2^2*Ng*ytp
          - 41/480*alpha1*ytp*ybp2*ybp2cc
          + 7/160*alpha1*ytp*ybp1*ybp1cc
          + 393/160*alpha1*ytp^3
          + 19/30*alpha1*alpha3*ytp
          - 9/40*alpha1*alpha2*ytp
          + 107/1200*alpha1^2*ytp
          + 29/90*alpha1^2*Ng*ytp
          )

       + fourpiinv^3 * (
          + 3*ytp*ybp2^3*ybp2cc^3
          + 669/32*ytp*ybp1*ybp1cc*ybp2^2*ybp2cc^2
          + 525/16*ytp*ybp1^2*ybp1cc^2*ybp2*ybp2cc
          + 477/32*ytp*ybp1^3*ybp1cc^3
          + 87/8*ytp^3*ybp2^2*ybp2cc^2
          + 671/16*ytp^3*ybp1*ybp1cc*ybp2*ybp2cc
          + 825/16*ytp^3*ybp1^2*ybp1cc^2
          + 49/16*ytp^5*ybp2*ybp2cc
          + 739/32*ytp^5*ybp1*ybp1cc
          + 339/16*ytp^7
          + 21/8*lamp2122*ytp*ybp1cc*ybp2^2*ybp2cc
          + 21/8*lamp1222*ytp*ybp1*ybp2*ybp2cc^2
          - 513/32*lamp1222*lamp2122*ytp*ybp2*ybp2cc
          + 75/32*lamp1222*lamp2122*ytp*ybp1*ybp1cc
          - 99/32*lamp1222*lamp2122*ytp^3
          + 3*lamp1121*ytp*ybp1cc*ybp2^2*ybp2cc
          + 39/8*lamp1121*ytp*ybp1*ybp1cc^2*ybp2
          + 57/4*lamp1121*ytp^3*ybp1cc*ybp2
          + 3/2*lamp1121*lamp1222*ytp*ybp2*ybp2cc
          + 3*lamp1112*ytp*ybp1*ybp2*ybp2cc^2
          + 39/8*lamp1112*ytp*ybp1^2*ybp1cc*ybp2cc
          + 57/4*lamp1112*ytp^3*ybp1*ybp2cc
          + 3/2*lamp1112*lamp2122*ytp*ybp2*ybp2cc
          - 447/32*lamp1112*lamp1121*ytp*ybp2*ybp2cc
          - 507/32*lamp1112*lamp1121*ytp*ybp1*ybp1cc
          - 69/32*lamp1112*lamp1121*ytp^3
          + 9/4*lamp2121*ytp*ybp1cc^2*ybp2^2
          - 69/16*lamp2121*lamp1222*ytp*ybp1cc*ybp2
          - 15/4*lamp2121*lamp1222^2*ytp
          - 255/16*lamp2121*lamp1112*ytp*ybp1cc*ybp2
          - 9/4*lamp2121*lamp1112*lamp1222*ytp
          - 15/2*lamp2121*lamp1112^2*ytp
          + 9/4*lamp1212*ytp*ybp1^2*ybp2cc^2
          - 69/16*lamp1212*lamp2122*ytp*ybp1*ybp2cc
          - 15/4*lamp1212*lamp2122^2*ytp
          - 255/16*lamp1212*lamp1121*ytp*ybp1*ybp2cc
          - 9/4*lamp1212*lamp1121*lamp2122*ytp
          - 15/2*lamp1212*lamp1121^2*ytp
          - 357/8*lamp1212*lamp2121*ytp*ybp2*ybp2cc
          - 15/8*lamp1212*lamp2121*ytp*ybp1*ybp1cc
          - 45/8*lamp1212*lamp2121*ytp^3
          - 23/4*lamp1221*ytp*ybp2^2*ybp2cc^2
          - 7/2*lamp1221*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          - 11/2*lamp1221*ytp^3*ybp2*ybp2cc
          - 69/32*lamp1221*lamp2122*ytp*ybp1cc*ybp2
          - 69/32*lamp1221*lamp1222*ytp*ybp1*ybp2cc
          - 3*lamp1221*lamp1222*lamp2122*ytp
          - 255/32*lamp1221*lamp1121*ytp*ybp1cc*ybp2
          - 9/4*lamp1221*lamp1121*lamp1222*ytp
          - 255/32*lamp1221*lamp1112*ytp*ybp1*ybp2cc
          - 9/4*lamp1221*lamp1112*lamp2122*ytp
          - 6*lamp1221*lamp1112*lamp1121*ytp
          - 27/2*lamp1221*lamp1212*lamp2121*ytp
          - 111/16*lamp1221^2*ytp*ybp2*ybp2cc
          + 11/16*lamp1221^2*ytp*ybp1*ybp1cc
          - 39/16*lamp1221^2*ytp^3
          - 5/8*lamp1221^3*ytp
          + 35/4*lamp1122*ytp*ybp2^2*ybp2cc^2
          + 11*lamp1122*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          + 23/2*lamp1122*ytp^3*ybp2*ybp2cc
          - 165/32*lamp1122*lamp2122*ytp*ybp1cc*ybp2
          - 165/32*lamp1122*lamp1222*ytp*ybp1*ybp2cc
          - 9/4*lamp1122*lamp1222*lamp2122*ytp
          - 159/32*lamp1122*lamp1121*ytp*ybp1cc*ybp2
          - 27/8*lamp1122*lamp1121*lamp1222*ytp
          - 159/32*lamp1122*lamp1112*ytp*ybp1*ybp2cc
          - 27/8*lamp1122*lamp1112*lamp2122*ytp
          - 9/2*lamp1122*lamp1112*lamp1121*ytp
          - 9*lamp1122*lamp1212*lamp2121*ytp
          - 135/16*lamp1122*lamp1221*ytp*ybp2*ybp2cc
          - 37/16*lamp1122*lamp1221*ytp*ybp1*ybp1cc
          - 15/16*lamp1122*lamp1221*ytp^3
          - 3/2*lamp1122*lamp1221^2*ytp
          - 39/16*lamp1122^2*ytp*ybp2*ybp2cc
          - 37/16*lamp1122^2*ytp*ybp1*ybp1cc
          - 15/16*lamp1122^2*ytp^3
          - 3/4*lamp1122^2*lamp1221*ytp
          - 1/2*lamp1122^3*ytp
          + 3*lamp2222*ytp*ybp2^2*ybp2cc^2
          + 21/16*lamp2222*lamp2122*ytp*ybp1cc*ybp2
          + 21/16*lamp2222*lamp1222*ytp*ybp1*ybp2cc
          - 9/2*lamp2222*lamp1222*lamp2122*ytp
          - 3*lamp2222*lamp1212*lamp2121*ytp
          - 3/4*lamp2222*lamp1221^2*ytp
          + 3*lamp2222*lamp1122*ytp*ybp2*ybp2cc
          - 3/2*lamp2222*lamp1122*lamp1221*ytp
          - 3/2*lamp2222*lamp1122^2*ytp
          - 33/8*lamp2222^2*ytp*ybp2*ybp2cc
          + 6*lamp1111*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          + 15/2*lamp1111*ytp*ybp1^2*ybp1cc^2
          + 3/2*lamp1111*ytp^3*ybp2*ybp2cc
          + 93/2*lamp1111*ytp^3*ybp1*ybp1cc
          + 99*lamp1111*ytp^5
          - 345/16*lamp1111*lamp1121*ytp*ybp1cc*ybp2
          - 345/16*lamp1111*lamp1112*ytp*ybp1*ybp2cc
          - 45/2*lamp1111*lamp1112*lamp1121*ytp
          - 6*lamp1111*lamp1212*lamp2121*ytp
          - 3/2*lamp1111*lamp1221^2*ytp
          + 3*lamp1111*lamp1122*ytp*ybp2*ybp2cc
          - 3*lamp1111*lamp1122*lamp1221*ytp
          - 3*lamp1111*lamp1122^2*ytp
          - 291/8*lamp1111^2*ytp*ybp1*ybp1cc
          + 15/8*lamp1111^2*ytp^3
          - 18*lamp1111^3*ytp
          + 3/4*z3*ytp*ybp2^3*ybp2cc^3
          + 15/4*z3*ytp*ybp1*ybp1cc*ybp2^2*ybp2cc^2
          + 21/4*z3*ytp*ybp1^2*ybp1cc^2*ybp2*ybp2cc
          + 9/4*z3*ytp*ybp1^3*ybp1cc^3
          - 24*z3*ytp^3*ybp1*ybp1cc*ybp2*ybp2cc
          - 24*z3*ytp^3*ybp1^2*ybp1cc^2
          + 27/4*z3*ytp^7
          - 257/12*alpha3*ytp*ybp2^2*ybp2cc^2
          + 235/12*alpha3*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          + 41*alpha3*ytp*ybp1^2*ybp1cc^2
          - 185/12*alpha3*ytp^3*ybp2*ybp2cc
          + 27/2*alpha3*ytp^3*ybp1*ybp1cc
          - 157/2*alpha3*ytp^5
          - 4/3*alpha3*lamp1221*ytp*ybp2*ybp2cc
          + 4/3*alpha3*lamp1122*ytp*ybp2*ybp2cc
          + 8*alpha3*lamp1111*ytp^3
          + 12*alpha3*z3*ytp*ybp2^2*ybp2cc^2
          - 20*alpha3*z3*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          - 32*alpha3*z3*ytp*ybp1^2*ybp1cc^2
          - 12*alpha3*z3*ytp^3*ybp2*ybp2cc
          - 16*alpha3*z3*ytp^3*ybp1*ybp1cc
          + 2227/36*alpha3^2*ytp*ybp2*ybp2cc
          - 277/4*alpha3^2*ytp*ybp1*ybp1cc
          + 4799/12*alpha3^2*ytp^3
          - 11/3*alpha3^2*Ng*ytp*ybp2*ybp2cc
          - 7/3*alpha3^2*Ng*ytp*ybp1*ybp1cc
          - 27*alpha3^2*Ng*ytp^3
          - 34*alpha3^2*z3*ytp*ybp2*ybp2cc
          - 22*alpha3^2*z3*ytp*ybp1*ybp1cc
          - 114*alpha3^2*z3*ytp^3
          - 1249*alpha3^3*ytp
          + 4432/27*alpha3^3*Ng*ytp
          + 560/81*alpha3^3*Ng^2*ytp
          + 320/3*alpha3^3*z3*Ng*ytp
          - 15/2*alpha2*ytp*ybp2^2*ybp2cc^2
          - 2763/64*alpha2*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          - 2283/64*alpha2*ytp*ybp1^2*ybp1cc^2
          - 141/32*alpha2*ytp^3*ybp2*ybp2cc
          - 2307/64*alpha2*ytp^3*ybp1*ybp1cc
          - 1593/32*alpha2*ytp^5
          + 45/8*alpha2*lamp1222*lamp2122*ytp
          + 135/8*alpha2*lamp1112*lamp1121*ytp
          + 45/2*alpha2*lamp1212*lamp2121*ytp
          + 45/8*alpha2*lamp1221*ytp*ybp2*ybp2cc
          + 15/4*alpha2*lamp1221^2*ytp
          - 45/8*alpha2*lamp1122*ytp*ybp2*ybp2cc
          + 15/4*alpha2*lamp1122*lamp1221*ytp
          + 15/4*alpha2*lamp1122^2*ytp
          - 135/4*alpha2*lamp1111*ytp^3
          + 45/2*alpha2*lamp1111^2*ytp
          + 9/4*alpha2*z3*ytp*ybp2^2*ybp2cc^2
          + 18*alpha2*z3*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          + 63/4*alpha2*z3*ytp*ybp1^2*ybp1cc^2
          - 9/4*alpha2*z3*ytp^3*ybp2*ybp2cc
          - 9/4*alpha2*z3*ytp^3*ybp1*ybp1cc
          + 37/8*alpha2*alpha3*ytp*ybp2*ybp2cc
          - 27/4*alpha2*alpha3*ytp*ybp1*ybp1cc
          - 84*alpha2*alpha3*ytp^3
          - 54*alpha2*alpha3*z3*ytp*ybp1*ybp1cc
          + 90*alpha2*alpha3*z3*ytp^3
          + 531/8*alpha2*alpha3^2*ytp
          + 19*alpha2*alpha3^2*Ng*ytp
          - 24*alpha2*alpha3^2*z3*Ng*ytp
          + 4329/512*alpha2^2*ytp*ybp2*ybp2cc
          + 13155/512*alpha2^2*ytp*ybp1*ybp1cc
          + 47649/512*alpha2^2*ytp^3
          - 57/64*alpha2^2*lamp1221*ytp
          - 57/32*alpha2^2*lamp1122*ytp
          - 171/32*alpha2^2*lamp1111*ytp
          - 63/32*alpha2^2*Ng*ytp*ybp2*ybp2cc
          - 69/32*alpha2^2*Ng*ytp*ybp1*ybp1cc
          - 351/32*alpha2^2*Ng*ytp^3
          - 99/16*alpha2^2*z3*ytp*ybp2*ybp2cc
          - 225/16*alpha2^2*z3*ytp*ybp1*ybp1cc
          - 729/16*alpha2^2*z3*ytp^3
          + 501/16*alpha2^2*alpha3*ytp
          + 57/8*alpha2^2*alpha3*Ng*ytp
          - 18*alpha2^2*alpha3*z3*Ng*ytp
          - 699/64*alpha2^3*ytp
          - 99/32*alpha2^3*Ng*ytp
          + 25/9*alpha2^3*Ng^2*ytp
          + 45/8*alpha2^3*z3*ytp
          + 45/2*alpha2^3*z3*Ng*ytp
          + 109/60*alpha1*ytp*ybp2^2*ybp2cc^2
          - 1133/960*alpha1*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          - 959/320*alpha1*ytp*ybp1^2*ybp1cc^2
          - 697/480*alpha1*ytp^3*ybp2*ybp2cc
          - 1383/320*alpha1*ytp^3*ybp1*ybp1cc
          - 2437/160*alpha1*ytp^5
          + 9/8*alpha1*lamp1222*lamp2122*ytp
          + 27/8*alpha1*lamp1112*lamp1121*ytp
          + 9/2*alpha1*lamp1212*lamp2121*ytp
          + 139/120*alpha1*lamp1221*ytp*ybp2*ybp2cc
          + 3/4*alpha1*lamp1221^2*ytp
          - 139/120*alpha1*lamp1122*ytp*ybp2*ybp2cc
          + 3/4*alpha1*lamp1122*lamp1221*ytp
          + 3/4*alpha1*lamp1122^2*ytp
          - 127/20*alpha1*lamp1111*ytp^3
          + 9/2*alpha1*lamp1111^2*ytp
          - 27/20*alpha1*z3*ytp*ybp2^2*ybp2cc^2
          - 2/5*alpha1*z3*ytp*ybp1*ybp1cc*ybp2*ybp2cc
          + 19/20*alpha1*z3*ytp*ybp1^2*ybp1cc^2
          + 3/4*alpha1*z3*ytp^3*ybp2*ybp2cc
          + 1/4*alpha1*z3*ytp^3*ybp1*ybp1cc
          - 259/72*alpha1*alpha3*ytp*ybp2*ybp2cc
          - 457/60*alpha1*alpha3*ytp*ybp1*ybp1cc
          - 63/5*alpha1*alpha3*ytp^3
          + 16/5*alpha1*alpha3*z3*ytp*ybp2*ybp2cc
          - 14/5*alpha1*alpha3*z3*ytp*ybp1*ybp1cc
          + 18*alpha1*alpha3*z3*ytp^3
          - 127/120*alpha1*alpha3^2*ytp
          + 44/9*alpha1*alpha3^2*Ng*ytp
          - 88/15*alpha1*alpha3^2*z3*Ng*ytp
          + 773/1280*alpha1*alpha2*ytp*ybp2*ybp2cc
          + 747/256*alpha1*alpha2*ytp*ybp1*ybp1cc
          + 8097/1280*alpha1*alpha2*ytp^3
          + 117/160*alpha1*alpha2*lamp1221*ytp
          + 117/80*alpha1*alpha2*lamp1111*ytp
          + 9/20*alpha1*alpha2*z3*ytp*ybp2*ybp2cc
          + 27/20*alpha1*alpha2*z3*ytp*ybp1*ybp1cc
          + 369/40*alpha1*alpha2*z3*ytp^3
          - 321/40*alpha1*alpha2*alpha3*ytp
          + 687/320*alpha1*alpha2^2*ytp
          - 9/160*alpha1*alpha2^2*Ng*ytp
          - 27/40*alpha1*alpha2^2*z3*ytp
          - 9/10*alpha1*alpha2^2*z3*Ng*ytp
          - 101419/115200*alpha1^2*ytp*ybp2*ybp2cc
          - 7159/7680*alpha1^2*ytp*ybp1*ybp1cc
          - 69721/38400*alpha1^2*ytp^3
          - 363/1600*alpha1^2*lamp1221*ytp
          - 363/800*alpha1^2*lamp1122*ytp
          - 1089/800*alpha1^2*lamp1111*ytp
          - 17/96*alpha1^2*Ng*ytp*ybp2*ybp2cc
          - 23/480*alpha1^2*Ng*ytp*ybp1*ybp1cc
          - 115/32*alpha1^2*Ng*ytp^3
          + 11/400*alpha1^2*z3*ytp*ybp2*ybp2cc
          - 199/400*alpha1^2*z3*ytp*ybp1*ybp1cc
          - 93/400*alpha1^2*z3*ytp^3
          - 859/400*alpha1^2*alpha3*ytp
          + 5281/1800*alpha1^2*alpha3*Ng*ytp
          - 374/75*alpha1^2*alpha3*z3*Ng*ytp
          + 777/400*alpha1^2*alpha2*ytp
          + 241/800*alpha1^2*alpha2*Ng*ytp
          - 153/200*alpha1^2*alpha2*z3*ytp
          - 51/50*alpha1^2*alpha2*z3*Ng*ytp
          + 3701/6000*alpha1^3*ytp
          + 56861/21600*alpha1^3*Ng*ytp
          + 73/81*alpha1^3*Ng^2*ytp
          - 153/1000*alpha1^3*z3*ytp
          - 323/150*alpha1^3*z3*Ng*ytp
          )

       - 1/2*ep*ytp);

(* First bottom Yukawa beta function in the special basis *)

   betaybp1 = (

       + fourpiinv * (
          + 11/4*ybp1*ybp2*ybp2cc
          + 9/4*ybp1^2*ybp1cc
          + 3/4*ytp^2*ybp1
          - 4*alpha3*ybp1
          - 9/8*alpha2*ybp1
          - 1/8*alpha1*ybp1
          )

       + fourpiinv^2 * (
          - 39/8*ybp1*ybp2^2*ybp2cc^2
          - 87/8*ybp1^2*ybp1cc*ybp2*ybp2cc
          - 6*ybp1^3*ybp1cc^2
          + 13/2*ytp^2*ybp1*ybp2*ybp2cc
          - 11/8*ytp^2*ybp1^2*ybp1cc
          - 1/8*ytp^4*ybp1
          - 3*lamp2122*ybp2^2*ybp2cc
          + 3/4*lamp1222*lamp2122*ybp1
          - 6*lamp1121*ybp1*ybp1cc*ybp2
          - 3*lamp1121*ytp^2*ybp2
          - 3*lamp1112*ybp1^2*ybp2cc
          + 9/4*lamp1112*lamp1121*ybp1
          - 6*lamp2121*ybp1cc*ybp2^2
          + 3*lamp2121*lamp1222*ybp2
          + 3*lamp2121*lamp1112*ybp2
          + 3*lamp1212*lamp2121*ybp1
          - 4*lamp1221*ybp1*ybp2*ybp2cc
          + 3/2*lamp1221*lamp2122*ybp2
          + 3/2*lamp1221*lamp1121*ybp2
          + 1/2*lamp1221^2*ybp1
          - 2*lamp1122*ybp1*ybp2*ybp2cc
          + 3/2*lamp1122*lamp2122*ybp2
          + 3/2*lamp1122*lamp1121*ybp2
          + 1/2*lamp1122*lamp1221*ybp1
          + 1/2*lamp1122^2*ybp1
          + 3*lamp2222*lamp2122*ybp2
          - 6*lamp1111*ybp1^2*ybp1cc
          + 3*lamp1111*lamp1121*ybp2
          + 3*lamp1111^2*ybp1
          + 52/3*alpha3*ybp1*ybp2*ybp2cc
          + 18*alpha3*ybp1^2*ybp1cc
          + 2*alpha3*ytp^2*ybp1
          - 526/9*alpha3^2*ybp1
          - 40/9*alpha3^2*Ng*ybp1
          + 291/32*alpha2*ybp1*ybp2*ybp2cc
          + 225/32*alpha2*ybp1^2*ybp1cc
          + 99/32*alpha2*ytp^2*ybp1
          + 9/2*alpha2*alpha3*ybp1
          - 25/8*alpha2^2*ybp1
          - 1/2*alpha2^2*Ng*ybp1
          + 773/480*alpha1*ybp1*ybp2*ybp2cc
          + 237/160*alpha1*ybp1^2*ybp1cc
          + 91/160*alpha1*ytp^2*ybp1
          + 31/30*alpha1*alpha3*ybp1
          - 27/40*alpha1*alpha2*ybp1
          + 901/3600*alpha1^2*ybp1
          - 29/90*alpha1^2*Ng*ybp1
          )

       + fourpiinv^3 * (
          + 1059/32*ybp1*ybp2^3*ybp2cc^3
          + 699/8*ybp1^2*ybp1cc*ybp2^2*ybp2cc^2
          + 2415/32*ybp1^3*ybp1cc^2*ybp2*ybp2cc
          + 339/16*ybp1^4*ybp1cc^3
          + 257/32*ytp^2*ybp1*ybp2^2*ybp2cc^2
          + 413/8*ytp^2*ybp1^2*ybp1cc*ybp2*ybp2cc
          + 739/32*ytp^2*ybp1^3*ybp1cc^2
          + 507/32*ytp^4*ybp1*ybp2*ybp2cc
          + 825/16*ytp^4*ybp1^2*ybp1cc
          + 477/32*ytp^6*ybp1
          + 81/2*lamp2122*ybp2^3*ybp2cc^2
          + 507/8*lamp2122*ybp1*ybp1cc*ybp2^2*ybp2cc
          - 3/4*lamp2122*ytp^2*ybp2^2*ybp2cc
          - 27/4*lamp2122^2*ybp1cc*ybp2^2
          + 183/8*lamp1222*ybp1^2*ybp2*ybp2cc^2
          - 63/32*lamp1222*lamp2122*ybp1*ybp2*ybp2cc
          - 99/32*lamp1222*lamp2122*ybp1^2*ybp1cc
          + 75/32*lamp1222*lamp2122*ytp^2*ybp1
          - 9*lamp1222*lamp2122^2*ybp2
          + 78*lamp1121*ybp1*ybp1cc*ybp2^2*ybp2cc
          + 813/8*lamp1121*ybp1^2*ybp1cc^2*ybp2
          - 3/4*lamp1121*ytp^2*ybp2^2*ybp2cc
          + 99/2*lamp1121*ytp^2*ybp1*ybp1cc*ybp2
          + 81/2*lamp1121*ytp^4*ybp2
          - 9/4*lamp1121*lamp2122*ybp1cc*ybp2^2
          - 33/4*lamp1121*lamp1222*ybp1*ybp2*ybp2cc
          - 21/4*lamp1121*lamp1222*lamp2122*ybp2
          - 27/4*lamp1121^2*ybp1cc*ybp2^2
          - 15/4*lamp1121^2*lamp1222*ybp2
          + 75/2*lamp1112*ybp1^2*ybp2*ybp2cc^2
          + 489/8*lamp1112*ybp1^3*ybp1cc*ybp2cc
          + 15*lamp1112*ytp^2*ybp1^2*ybp2cc
          - 33/4*lamp1112*lamp2122*ybp1*ybp2*ybp2cc
          - 15/4*lamp1112*lamp2122^2*ybp2
          + 351/32*lamp1112*lamp1121*ybp1*ybp2*ybp2cc
          - 69/32*lamp1112*lamp1121*ybp1^2*ybp1cc
          - 507/32*lamp1112*lamp1121*ytp^2*ybp1
          - 21/4*lamp1112*lamp1121*lamp2122*ybp2
          - 9*lamp1112*lamp1121^2*ybp2
          + 81*lamp2121*ybp1cc*ybp2^3*ybp2cc
          + 417/4*lamp2121*ybp1*ybp1cc^2*ybp2^2
          + 69/2*lamp2121*ytp^2*ybp1cc*ybp2^2
          - 27/4*lamp2121*lamp1222*ybp2^2*ybp2cc
          - 27/16*lamp2121*lamp1222*ybp1*ybp1cc*ybp2
          + 9/2*lamp2121*lamp1222*ytp^2*ybp2
          - 15/4*lamp2121*lamp1222^2*ybp1
          + 9/2*lamp2121*lamp1112*ybp2^2*ybp2cc
          - 201/16*lamp2121*lamp1112*ybp1*ybp1cc*ybp2
          - 27/4*lamp2121*lamp1112*ytp^2*ybp2
          - 9/4*lamp2121*lamp1112*lamp1222*ybp1
          - 15/2*lamp2121*lamp1112^2*ybp1
          + 93/4*lamp1212*ybp1^3*ybp2cc^2
          - 99/16*lamp1212*lamp2122*ybp1^2*ybp2cc
          - 15/4*lamp1212*lamp2122^2*ybp1
          - 93/16*lamp1212*lamp1121*ybp1^2*ybp2cc
          - 9/4*lamp1212*lamp1121*lamp2122*ybp1
          - 15/2*lamp1212*lamp1121^2*ybp1
          + 117/8*lamp1212*lamp2121*ybp1*ybp2*ybp2cc
          - 45/8*lamp1212*lamp2121*ybp1^2*ybp1cc
          - 15/8*lamp1212*lamp2121*ytp^2*ybp1
          - 18*lamp1212*lamp2121*lamp2122*ybp2
          - 18*lamp1212*lamp2121*lamp1121*ybp2
          + 185/4*lamp1221*ybp1*ybp2^2*ybp2cc^2
          + 139/2*lamp1221*ybp1^2*ybp1cc*ybp2*ybp2cc
          + 65/4*lamp1221*ytp^2*ybp1*ybp2*ybp2cc
          - 15/8*lamp1221*lamp2122*ybp2^2*ybp2cc
          - 123/32*lamp1221*lamp2122*ybp1*ybp1cc*ybp2
          + 3/4*lamp1221*lamp2122*ytp^2*ybp2
          - 147/32*lamp1221*lamp1222*ybp1^2*ybp2cc
          - 3*lamp1221*lamp1222*lamp2122*ybp1
          + 3/4*lamp1221*lamp1121*ybp2^2*ybp2cc
          - 105/32*lamp1221*lamp1121*ybp1*ybp1cc*ybp2
          - 15/8*lamp1221*lamp1121*ytp^2*ybp2
          - 9/4*lamp1221*lamp1121*lamp1222*ybp1
          - 45/32*lamp1221*lamp1112*ybp1^2*ybp2cc
          - 9/4*lamp1221*lamp1112*lamp2122*ybp1
          - 6*lamp1221*lamp1112*lamp1121*ybp1
          - 33/2*lamp1221*lamp2121*ybp1cc*ybp2^2
          - 27/2*lamp1221*lamp2121*lamp1222*ybp2
          - 27/2*lamp1221*lamp2121*lamp1112*ybp2
          - 27/2*lamp1221*lamp1212*lamp2121*ybp1
          + 41/16*lamp1221^2*ybp1*ybp2*ybp2cc
          - 39/16*lamp1221^2*ybp1^2*ybp1cc
          + 11/16*lamp1221^2*ytp^2*ybp1
          - 15/4*lamp1221^2*lamp2122*ybp2
          - 15/4*lamp1221^2*lamp1121*ybp2
          - 5/8*lamp1221^3*ybp1
          + 127/4*lamp1122*ybp1*ybp2^2*ybp2cc^2
          + 55*lamp1122*ybp1^2*ybp1cc*ybp2*ybp2cc
          + 25/4*lamp1122*ytp^2*ybp1*ybp2*ybp2cc
          - 3/8*lamp1122*lamp2122*ybp2^2*ybp2cc
          - 123/32*lamp1122*lamp2122*ybp1*ybp1cc*ybp2
          - 3/4*lamp1122*lamp2122*ytp^2*ybp2
          - 99/32*lamp1122*lamp1222*ybp1^2*ybp2cc
          - 9/4*lamp1122*lamp1222*lamp2122*ybp1
          - 3/4*lamp1122*lamp1121*ybp2^2*ybp2cc
          - 105/32*lamp1122*lamp1121*ybp1*ybp1cc*ybp2
          - 3/8*lamp1122*lamp1121*ytp^2*ybp2
          - 27/8*lamp1122*lamp1121*lamp1222*ybp1
          - 93/32*lamp1122*lamp1112*ybp1^2*ybp2cc
          - 27/8*lamp1122*lamp1112*lamp2122*ybp1
          - 9/2*lamp1122*lamp1112*lamp1121*ybp1
          - 21/2*lamp1122*lamp2121*ybp1cc*ybp2^2
          - 12*lamp1122*lamp2121*lamp1222*ybp2
          - 12*lamp1122*lamp2121*lamp1112*ybp2
          - 9*lamp1122*lamp1212*lamp2121*ybp1
          + 47/16*lamp1122*lamp1221*ybp1*ybp2*ybp2cc
          - 15/16*lamp1122*lamp1221*ybp1^2*ybp1cc
          - 37/16*lamp1122*lamp1221*ytp^2*ybp1
          - 27/4*lamp1122*lamp1221*lamp2122*ybp2
          - 27/4*lamp1122*lamp1221*lamp1121*ybp2
          - 3/2*lamp1122*lamp1221^2*ybp1
          - 7/16*lamp1122^2*ybp1*ybp2*ybp2cc
          - 15/16*lamp1122^2*ybp1^2*ybp1cc
          - 37/16*lamp1122^2*ytp^2*ybp1
          - 15/4*lamp1122^2*lamp2122*ybp2
          - 15/4*lamp1122^2*lamp1121*ybp2
          - 3/4*lamp1122^2*lamp1221*ybp1
          - 1/2*lamp1122^3*ybp1
          + 45/2*lamp2222*ybp1*ybp2^2*ybp2cc^2
          - 9*lamp2222*lamp2122*ybp2^2*ybp2cc
          - 45/16*lamp2222*lamp2122*ybp1*ybp1cc*ybp2
          + 27/4*lamp2222*lamp2122*ytp^2*ybp2
          - 153/16*lamp2222*lamp1222*ybp1^2*ybp2cc
          - 9/2*lamp2222*lamp1222*lamp2122*ybp1
          - 9/2*lamp2222*lamp2121*ybp1cc*ybp2^2
          - 18*lamp2222*lamp2121*lamp1222*ybp2
          - 3*lamp2222*lamp2121*lamp1112*ybp2
          - 3*lamp2222*lamp1212*lamp2121*ybp1
          - 21/4*lamp2222*lamp1221*ybp1*ybp2*ybp2cc
          - 9*lamp2222*lamp1221*lamp2122*ybp2
          - 3*lamp2222*lamp1221*lamp1121*ybp2
          - 3/4*lamp2222*lamp1221^2*ybp1
          - 45/4*lamp2222*lamp1122*ybp1*ybp2*ybp2cc
          - 9*lamp2222*lamp1122*lamp2122*ybp2
          - 9/2*lamp2222*lamp1122*lamp1121*ybp2
          - 3/2*lamp2222*lamp1122*lamp1221*ybp1
          - 3/2*lamp2222*lamp1122^2*ybp1
          - 99/8*lamp2222^2*ybp1*ybp2*ybp2cc
          - 18*lamp2222^2*lamp2122*ybp2
          + 75*lamp1111*ybp1^2*ybp1cc*ybp2*ybp2cc
          + 99*lamp1111*ybp1^3*ybp1cc^2
          - 3*lamp1111*ytp^2*ybp1*ybp2*ybp2cc
          + 93/2*lamp1111*ytp^2*ybp1^2*ybp1cc
          + 15/2*lamp1111*ytp^4*ybp1
          + 27/4*lamp1111*lamp1121*ybp2^2*ybp2cc
          - 183/16*lamp1111*lamp1121*ybp1*ybp1cc*ybp2
          - 9*lamp1111*lamp1121*ytp^2*ybp2
          - 39/16*lamp1111*lamp1112*ybp1^2*ybp2cc
          - 45/2*lamp1111*lamp1112*lamp1121*ybp1
          - 9/2*lamp1111*lamp2121*ybp1cc*ybp2^2
          - 3*lamp1111*lamp2121*lamp1222*ybp2
          - 18*lamp1111*lamp2121*lamp1112*ybp2
          - 6*lamp1111*lamp1212*lamp2121*ybp1
          - 21/4*lamp1111*lamp1221*ybp1*ybp2*ybp2cc
          - 3*lamp1111*lamp1221*lamp2122*ybp2
          - 9*lamp1111*lamp1221*lamp1121*ybp2
          - 3/2*lamp1111*lamp1221^2*ybp1
          - 45/4*lamp1111*lamp1122*ybp1*ybp2*ybp2cc
          - 9/2*lamp1111*lamp1122*lamp2122*ybp2
          - 9*lamp1111*lamp1122*lamp1121*ybp2
          - 3*lamp1111*lamp1122*lamp1221*ybp1
          - 3*lamp1111*lamp1122^2*ybp1
          + 27/2*lamp1111^2*ybp1*ybp2*ybp2cc
          + 15/8*lamp1111^2*ybp1^2*ybp1cc
          - 291/8*lamp1111^2*ytp^2*ybp1
          - 18*lamp1111^2*lamp1121*ybp2
          - 18*lamp1111^3*ybp1
          + 33/4*z3*ybp1*ybp2^3*ybp2cc^3
          + 93/4*z3*ybp1^2*ybp1cc*ybp2^2*ybp2cc^2
          + 87/4*z3*ybp1^3*ybp1cc^2*ybp2*ybp2cc
          + 27/4*z3*ybp1^4*ybp1cc^3
          - 12*z3*ytp^2*ybp1*ybp2^2*ybp2cc^2
          - 12*z3*ytp^2*ybp1^2*ybp1cc*ybp2*ybp2cc
          - 12*z3*ytp^4*ybp1*ybp2*ybp2cc
          - 24*z3*ytp^4*ybp1^2*ybp1cc
          + 9/4*z3*ytp^6*ybp1
          - 193/12*alpha3*ybp1*ybp2^2*ybp2cc^2
          - 1135/12*alpha3*ybp1^2*ybp1cc*ybp2*ybp2cc
          - 157/2*alpha3*ybp1^3*ybp1cc^2
          + 1613/12*alpha3*ytp^2*ybp1*ybp2*ybp2cc
          + 27/2*alpha3*ytp^2*ybp1^2*ybp1cc
          + 41*alpha3*ytp^4*ybp1
          + 4*alpha3*lamp2122*ybp2^2*ybp2cc
          + 8*alpha3*lamp1121*ybp1*ybp1cc*ybp2
          + 4*alpha3*lamp1121*ytp^2*ybp2
          + 4*alpha3*lamp1112*ybp1^2*ybp2cc
          + 8*alpha3*lamp2121*ybp1cc*ybp2^2
          + 16/3*alpha3*lamp1221*ybp1*ybp2*ybp2cc
          + 8/3*alpha3*lamp1122*ybp1*ybp2*ybp2cc
          + 8*alpha3*lamp1111*ybp1^2*ybp1cc
          - 44*alpha3*z3*ybp1*ybp2^2*ybp2cc^2
          - 44*alpha3*z3*ybp1^2*ybp1cc*ybp2*ybp2cc
          - 84*alpha3*z3*ytp^2*ybp1*ybp2*ybp2cc
          - 16*alpha3*z3*ytp^2*ybp1^2*ybp1cc
          - 32*alpha3*z3*ytp^4*ybp1
          + 8621/36*alpha3^2*ybp1*ybp2*ybp2cc
          + 4447/12*alpha3^2*ybp1^2*ybp1cc
          - 1183/12*alpha3^2*ytp^2*ybp1
          + 11/3*alpha3^2*Ng*ybp1*ybp2*ybp2cc
          + 7/3*alpha3^2*Ng*ybp1^2*ybp1cc
          + 27*alpha3^2*Ng*ytp^2*ybp1
          - 102*alpha3^2*z3*ybp1*ybp2*ybp2cc
          - 114*alpha3^2*z3*ybp1^2*ybp1cc
          - 22*alpha3^2*z3*ytp^2*ybp1
          - 73457/81*alpha3^3*ybp1
          - 4432/27*alpha3^3*Ng*ybp1
          - 560/81*alpha3^3*Ng^2*ybp1
          + 640/3*alpha3^3*z3*ybp1
          - 320/3*alpha3^3*z3*Ng*ybp1
          - 4989/64*alpha2*ybp1*ybp2^2*ybp2cc^2
          - 8175/64*alpha2*ybp1^2*ybp1cc*ybp2*ybp2cc
          - 1593/32*alpha2*ybp1^3*ybp1cc^2
          - 399/16*alpha2*ytp^2*ybp1*ybp2*ybp2cc
          - 2307/64*alpha2*ytp^2*ybp1^2*ybp1cc
          - 2283/64*alpha2*ytp^4*ybp1
          - 135/8*alpha2*lamp2122*ybp2^2*ybp2cc
          + 45/8*alpha2*lamp1222*lamp2122*ybp1
          - 135/4*alpha2*lamp1121*ybp1*ybp1cc*ybp2
          - 135/8*alpha2*lamp1121*ytp^2*ybp2
          - 135/8*alpha2*lamp1112*ybp1^2*ybp2cc
          + 135/8*alpha2*lamp1112*lamp1121*ybp1
          - 135/4*alpha2*lamp2121*ybp1cc*ybp2^2
          + 45/2*alpha2*lamp2121*lamp1222*ybp2
          + 45/2*alpha2*lamp2121*lamp1112*ybp2
          + 45/2*alpha2*lamp1212*lamp2121*ybp1
          - 45/2*alpha2*lamp1221*ybp1*ybp2*ybp2cc
          + 45/4*alpha2*lamp1221*lamp2122*ybp2
          + 45/4*alpha2*lamp1221*lamp1121*ybp2
          + 15/4*alpha2*lamp1221^2*ybp1
          - 45/4*alpha2*lamp1122*ybp1*ybp2*ybp2cc
          + 45/4*alpha2*lamp1122*lamp2122*ybp2
          + 45/4*alpha2*lamp1122*lamp1121*ybp2
          + 15/4*alpha2*lamp1122*lamp1221*ybp1
          + 15/4*alpha2*lamp1122^2*ybp1
          + 45/2*alpha2*lamp2222*lamp2122*ybp2
          - 135/4*alpha2*lamp1111*ybp1^2*ybp1cc
          + 45/2*alpha2*lamp1111*lamp1121*ybp2
          + 45/2*alpha2*lamp1111^2*ybp1
          + 27/2*alpha2*z3*ybp1*ybp2^2*ybp2cc^2
          + 27/2*alpha2*z3*ybp1^2*ybp1cc*ybp2*ybp2cc
          + 63/4*alpha2*z3*ytp^2*ybp1*ybp2*ybp2cc
          - 9/4*alpha2*z3*ytp^2*ybp1^2*ybp1cc
          + 63/4*alpha2*z3*ytp^4*ybp1
          - 763/8*alpha2*alpha3*ybp1*ybp2*ybp2cc
          - 84*alpha2*alpha3*ybp1^2*ybp1cc
          - 27/4*alpha2*alpha3*ytp^2*ybp1
          + 36*alpha2*alpha3*z3*ybp1*ybp2*ybp2cc
          + 90*alpha2*alpha3*z3*ybp1^2*ybp1cc
          - 54*alpha2*alpha3*z3*ytp^2*ybp1
          + 835/8*alpha2*alpha3^2*ybp1
          - 19*alpha2*alpha3^2*Ng*ybp1
          - 48*alpha2*alpha3^2*z3*ybp1
          + 24*alpha2*alpha3^2*z3*Ng*ybp1
          + 49755/512*alpha2^2*ybp1*ybp2*ybp2cc
          + 40929/512*alpha2^2*ybp1^2*ybp1cc
          + 6435/512*alpha2^2*ytp^2*ybp1
          - 171/32*alpha2^2*lamp2122*ybp2
          - 171/32*alpha2^2*lamp1121*ybp2
          - 57/64*alpha2^2*lamp1221*ybp1
          - 57/32*alpha2^2*lamp1122*ybp1
          - 171/32*alpha2^2*lamp1111*ybp1
          + 63/32*alpha2^2*Ng*ybp1*ybp2*ybp2cc
          + 69/32*alpha2^2*Ng*ybp1^2*ybp1cc
          + 351/32*alpha2^2*Ng*ytp^2*ybp1
          - 855/16*alpha2^2*z3*ybp1*ybp2*ybp2cc
          - 729/16*alpha2^2*z3*ybp1^2*ybp1cc
          - 225/16*alpha2^2*z3*ytp^2*ybp1
          + 729/16*alpha2^2*alpha3*ybp1
          - 57/8*alpha2^2*alpha3*Ng*ybp1
          - 36*alpha2^2*alpha3*z3*ybp1
          + 18*alpha2^2*alpha3*z3*Ng*ybp1
          - 6655/576*alpha2^3*ybp1
          + 99/32*alpha2^3*Ng*ybp1
          - 25/9*alpha2^3*Ng^2*ybp1
          + 405/8*alpha2^3*z3*ybp1
          - 45/2*alpha2^3*z3*Ng*ybp1
          - 16507/960*alpha1*ybp1*ybp2^2*ybp2cc^2
          - 28393/960*alpha1*ybp1^2*ybp1cc*ybp2*ybp2cc
          - 1981/160*alpha1*ybp1^3*ybp1cc^2
          - 1513/240*alpha1*ytp^2*ybp1*ybp2*ybp2cc
          - 4203/320*alpha1*ytp^2*ybp1^2*ybp1cc
          - 363/320*alpha1*ytp^4*ybp1
          - 139/40*alpha1*lamp2122*ybp2^2*ybp2cc
          + 9/8*alpha1*lamp1222*lamp2122*ybp1
          - 139/20*alpha1*lamp1121*ybp1*ybp1cc*ybp2
          - 127/40*alpha1*lamp1121*ytp^2*ybp2
          - 139/40*alpha1*lamp1112*ybp1^2*ybp2cc
          + 27/8*alpha1*lamp1112*lamp1121*ybp1
          - 139/20*alpha1*lamp2121*ybp1cc*ybp2^2
          + 9/2*alpha1*lamp2121*lamp1222*ybp2
          + 9/2*alpha1*lamp2121*lamp1112*ybp2
          + 9/2*alpha1*lamp1212*lamp2121*ybp1
          - 139/30*alpha1*lamp1221*ybp1*ybp2*ybp2cc
          + 9/4*alpha1*lamp1221*lamp2122*ybp2
          + 9/4*alpha1*lamp1221*lamp1121*ybp2
          + 3/4*alpha1*lamp1221^2*ybp1
          - 139/60*alpha1*lamp1122*ybp1*ybp2*ybp2cc
          + 9/4*alpha1*lamp1122*lamp2122*ybp2
          + 9/4*alpha1*lamp1122*lamp1121*ybp2
          + 3/4*alpha1*lamp1122*lamp1221*ybp1
          + 3/4*alpha1*lamp1122^2*ybp1
          + 9/2*alpha1*lamp2222*lamp2122*ybp2
          - 139/20*alpha1*lamp1111*ybp1^2*ybp1cc
          + 9/2*alpha1*lamp1111*lamp1121*ybp2
          + 9/2*alpha1*lamp1111^2*ybp1
          + 23/10*alpha1*z3*ybp1*ybp2^2*ybp2cc^2
          + 23/10*alpha1*z3*ybp1^2*ybp1cc*ybp2*ybp2cc
          + 123/20*alpha1*z3*ytp^2*ybp1*ybp2*ybp2cc
          + 77/20*alpha1*z3*ytp^2*ybp1^2*ybp1cc
          - 17/20*alpha1*z3*ytp^4*ybp1
          - 4687/360*alpha1*alpha3*ybp1*ybp2*ybp2cc
          - 9*alpha1*alpha3*ybp1^2*ybp1cc
          - 161/12*alpha1*alpha3*ytp^2*ybp1
          + 36/5*alpha1*alpha3*z3*ybp1*ybp2*ybp2cc
          + 66/5*alpha1*alpha3*z3*ybp1^2*ybp1cc
          + 2*alpha1*alpha3*z3*ytp^2*ybp1
          + 10831/360*alpha1*alpha3^2*ybp1
          - 44/9*alpha1*alpha3^2*Ng*ybp1
          - 176/15*alpha1*alpha3^2*z3*ybp1
          + 88/15*alpha1*alpha3^2*z3*Ng*ybp1
          + 2291/256*alpha1*alpha2*ybp1*ybp2*ybp2cc
          + 8493/1280*alpha1*alpha2*ybp1^2*ybp1cc
          + 3267/1280*alpha1*alpha2*ytp^2*ybp1
          + 9/16*alpha1*alpha2*lamp2122*ybp2
          + 9/16*alpha1*alpha2*lamp1121*ybp2
          - 27/160*alpha1*alpha2*lamp1221*ybp1
          - 27/80*alpha1*alpha2*lamp1111*ybp1
          - 9/10*alpha1*alpha2*z3*ybp1^2*ybp1cc
          + 189/40*alpha1*alpha2*z3*ytp^2*ybp1
          - 153/40*alpha1*alpha2*alpha3*ybp1
          - 951/320*alpha1*alpha2^2*ybp1
          + 9/160*alpha1*alpha2^2*Ng*ybp1
          - 99/40*alpha1*alpha2^2*z3*ybp1
          + 9/10*alpha1*alpha2^2*z3*Ng*ybp1
          - 251681/115200*alpha1^2*ybp1*ybp2*ybp2cc
          - 16381/7680*alpha1^2*ybp1^2*ybp1cc
          - 70009/12800*alpha1^2*ytp^2*ybp1
          - 657/800*alpha1^2*lamp2122*ybp2
          - 657/800*alpha1^2*lamp1121*ybp2
          - 3/64*alpha1^2*lamp1221*ybp1
          - 3/32*alpha1^2*lamp1122*ybp1
          - 9/32*alpha1^2*lamp1111*ybp1
          + 17/96*alpha1^2*Ng*ybp1*ybp2*ybp2cc
          + 23/480*alpha1^2*Ng*ybp1^2*ybp1cc
          + 115/32*alpha1^2*Ng*ytp^2*ybp1
          - 381/400*alpha1^2*z3*ybp1*ybp2*ybp2cc
          - 171/400*alpha1^2*z3*ybp1^2*ybp1cc
          - 13/400*alpha1^2*z3*ytp^2*ybp1
          + 5281/3600*alpha1^2*alpha3*ybp1
          - 5281/1800*alpha1^2*alpha3*Ng*ybp1
          - 484/75*alpha1^2*alpha3*z3*ybp1
          + 374/75*alpha1^2*alpha3*z3*Ng*ybp1
          + 37/16*alpha1^2*alpha2*ybp1
          - 241/800*alpha1^2*alpha2*Ng*ybp1
          - 309/200*alpha1^2*alpha2*z3*ybp1
          + 51/50*alpha1^2*alpha2*z3*Ng*ybp1
          + 1605923/324000*alpha1^3*ybp1
          - 56861/21600*alpha1^3*Ng*ybp1
          - 73/81*alpha1^3*Ng^2*ybp1
          - 1699/600*alpha1^3*z3*ybp1
          + 323/150*alpha1^3*z3*Ng*ybp1
          )

       - 1/2*ep*ybp1);

(* Second bottom Yukawa beta function in the special basis *)

   betaybp2 = (

       + fourpiinv * (
          + 9/4*ybp2^2*ybp2cc
          + 7/4*ybp1*ybp1cc*ybp2
          + 1/4*ytp^2*ybp2
          - 4*alpha3*ybp2
          - 9/8*alpha2*ybp2
          - 1/8*alpha1*ybp2
          )

       + fourpiinv^2 * (
          - 6*ybp2^3*ybp2cc^2
          - 105/8*ybp1*ybp1cc*ybp2^2*ybp2cc
          - 57/8*ybp1^2*ybp1cc^2*ybp2
          - 5/4*ytp^2*ybp2^2*ybp2cc
          - 73/8*ytp^2*ybp1*ybp1cc*ybp2
          - 5/4*ytp^4*ybp2
          - 3*lamp2122*ybp1cc*ybp2^2
          - 6*lamp1222*ybp1*ybp2*ybp2cc
          + 9/4*lamp1222*lamp2122*ybp2
          - 3*lamp1112*ybp1^2*ybp1cc
          + 3*lamp1112*ytp^2*ybp1
          + 3/4*lamp1112*lamp1121*ybp2
          - 6*lamp1212*ybp1^2*ybp2cc
          + 3*lamp1212*lamp2121*ybp2
          - 2*lamp1221*ybp1*ybp1cc*ybp2
          + lamp1221*ytp^2*ybp2
          + 1/2*lamp1221^2*ybp2
          - 4*lamp1122*ybp1*ybp1cc*ybp2
          - lamp1122*ytp^2*ybp2
          + 1/2*lamp1122*lamp1221*ybp2
          + 1/2*lamp1122^2*ybp2
          - 6*lamp2222*ybp2^2*ybp2cc
          + 3*lamp2222^2*ybp2
          + 18*alpha3*ybp2^2*ybp2cc
          + 56/3*alpha3*ybp1*ybp1cc*ybp2
          + 8/3*alpha3*ytp^2*ybp2
          - 526/9*alpha3^2*ybp2
          - 40/9*alpha3^2*Ng*ybp2
          + 225/32*alpha2*ybp2^2*ybp2cc
          + 159/32*alpha2*ybp1*ybp1cc*ybp2
          + 33/32*alpha2*ytp^2*ybp2
          + 9/2*alpha2*alpha3*ybp2
          - 25/8*alpha2^2*ybp2
          - 1/2*alpha2^2*Ng*ybp2
          + 237/160*alpha1*ybp2^2*ybp2cc
          + 649/480*alpha1*ybp1*ybp1cc*ybp2
          - 53/480*alpha1*ytp^2*ybp2
          + 31/30*alpha1*alpha3*ybp2
          - 27/40*alpha1*alpha2*ybp2
          + 901/3600*alpha1^2*ybp2
          - 29/90*alpha1^2*Ng*ybp2
          )

       + fourpiinv^3 * (
          + 339/16*ybp2^4*ybp2cc^3
          + 1653/32*ybp1*ybp1cc*ybp2^3*ybp2cc^2
          + 159/4*ybp1^2*ybp1cc^2*ybp2^2*ybp2cc
          + 297/32*ybp1^3*ybp1cc^3*ybp2
          + 49/16*ytp^2*ybp2^3*ybp2cc^2
          + 339/16*ytp^2*ybp1*ybp1cc*ybp2^2*ybp2cc
          - 19/8*ytp^2*ybp1^2*ybp1cc^2*ybp2
          + 87/8*ytp^4*ybp2^2*ybp2cc
          + 835/32*ytp^4*ybp1*ybp1cc*ybp2
          + 3*ytp^6*ybp2
          + 489/8*lamp2122*ybp1cc*ybp2^3*ybp2cc
          + 153/4*lamp2122*ybp1*ybp1cc^2*ybp2^2
          + 39/4*lamp2122*ytp^2*ybp1cc*ybp2^2
          + 771/8*lamp1222*ybp1*ybp2^2*ybp2cc^2
          + 147/2*lamp1222*ybp1^2*ybp1cc*ybp2*ybp2cc
          + 21/2*lamp1222*ytp^2*ybp1*ybp2*ybp2cc
          - 69/32*lamp1222*lamp2122*ybp2^2*ybp2cc
          + 3/32*lamp1222*lamp2122*ybp1*ybp1cc*ybp2
          - 447/32*lamp1222*lamp2122*ytp^2*ybp2
          + 21/2*lamp1222^2*ybp1^2*ybp2cc
          + 189/8*lamp1121*ybp1*ybp1cc^2*ybp2^2
          + 27/4*lamp1121*ytp^2*ybp1cc*ybp2^2
          + 12*lamp1121*lamp1222*ybp1*ybp1cc*ybp2
          + 3/2*lamp1121*lamp1222*ytp^2*ybp2
          + 471/8*lamp1112*ybp1^2*ybp1cc*ybp2*ybp2cc
          + 141/4*lamp1112*ybp1^3*ybp1cc^2
          + 6*lamp1112*ytp^2*ybp1*ybp2*ybp2cc
          - 141/4*lamp1112*ytp^4*ybp1
          + 12*lamp1112*lamp2122*ybp1*ybp1cc*ybp2
          + 3/2*lamp1112*lamp2122*ytp^2*ybp2
          + 9*lamp1112*lamp1222*ybp1^2*ybp2cc
          - 99/32*lamp1112*lamp1121*ybp2^2*ybp2cc
          - 411/32*lamp1112*lamp1121*ybp1*ybp1cc*ybp2
          - 513/32*lamp1112*lamp1121*ytp^2*ybp2
          + 21/2*lamp1112^2*ybp1^2*ybp2cc
          + 93/4*lamp2121*ybp1cc^2*ybp2^3
          - 93/16*lamp2121*lamp1222*ybp1cc*ybp2^2
          - 15/2*lamp2121*lamp1222^2*ybp2
          - 99/16*lamp2121*lamp1112*ybp1cc*ybp2^2
          - 9/4*lamp2121*lamp1112*lamp1222*ybp2
          - 15/4*lamp2121*lamp1112^2*ybp2
          + 375/4*lamp1212*ybp1^2*ybp2*ybp2cc^2
          + 141/2*lamp1212*ybp1^3*ybp1cc*ybp2cc
          + 3/2*lamp1212*ytp^2*ybp1^2*ybp2cc
          + 243/16*lamp1212*lamp2122*ybp1*ybp2*ybp2cc
          + 9*lamp1212*lamp2122*ybp1^2*ybp1cc
          - 9*lamp1212*lamp2122*ytp^2*ybp1
          - 15/2*lamp1212*lamp2122^2*ybp2
          + 45/16*lamp1212*lamp1121*ybp1*ybp2*ybp2cc
          + 21*lamp1212*lamp1121*ybp1^2*ybp1cc
          - 21*lamp1212*lamp1121*ytp^2*ybp1
          - 9/4*lamp1212*lamp1121*lamp2122*ybp2
          - 15/4*lamp1212*lamp1121^2*ybp2
          - 45/8*lamp1212*lamp2121*ybp2^2*ybp2cc
          - 195/8*lamp1212*lamp2121*ybp1*ybp1cc*ybp2
          - 357/8*lamp1212*lamp2121*ytp^2*ybp2
          + 211/4*lamp1221*ybp1*ybp1cc*ybp2^2*ybp2cc
          + 59/2*lamp1221*ybp1^2*ybp1cc^2*ybp2
          - 11/2*lamp1221*ytp^2*ybp2^2*ybp2cc
          - 15/4*lamp1221*ytp^2*ybp1*ybp1cc*ybp2
          - 23/4*lamp1221*ytp^4*ybp2
          - 45/32*lamp1221*lamp2122*ybp1cc*ybp2^2
          + 339/32*lamp1221*lamp1222*ybp1*ybp2*ybp2cc
          + 3*lamp1221*lamp1222*ybp1^2*ybp1cc
          - 3*lamp1221*lamp1222*ytp^2*ybp1
          - 6*lamp1221*lamp1222*lamp2122*ybp2
          - 147/32*lamp1221*lamp1121*ybp1cc*ybp2^2
          - 9/4*lamp1221*lamp1121*lamp1222*ybp2
          - 51/32*lamp1221*lamp1112*ybp1*ybp2*ybp2cc
          + 12*lamp1221*lamp1112*ybp1^2*ybp1cc
          - 12*lamp1221*lamp1112*ytp^2*ybp1
          - 9/4*lamp1221*lamp1112*lamp2122*ybp2
          - 3*lamp1221*lamp1112*lamp1121*ybp2
          + 30*lamp1221*lamp1212*ybp1^2*ybp2cc
          - 27/2*lamp1221*lamp1212*lamp2121*ybp2
          - 39/16*lamp1221^2*ybp2^2*ybp2cc
          - 17/16*lamp1221^2*ybp1*ybp1cc*ybp2
          - 111/16*lamp1221^2*ytp^2*ybp2
          - 5/8*lamp1221^3*ybp2
          + 269/4*lamp1122*ybp1*ybp1cc*ybp2^2*ybp2cc
          + 44*lamp1122*ybp1^2*ybp1cc^2*ybp2
          + 23/2*lamp1122*ytp^2*ybp2^2*ybp2cc
          + 93/4*lamp1122*ytp^2*ybp1*ybp1cc*ybp2
          + 35/4*lamp1122*ytp^4*ybp2
          - 93/32*lamp1122*lamp2122*ybp1cc*ybp2^2
          + 147/32*lamp1122*lamp1222*ybp1*ybp2*ybp2cc
          + 15/2*lamp1122*lamp1222*ybp1^2*ybp1cc
          - 15/2*lamp1122*lamp1222*ytp^2*ybp1
          - 9/2*lamp1122*lamp1222*lamp2122*ybp2
          - 99/32*lamp1122*lamp1121*ybp1cc*ybp2^2
          - 27/8*lamp1122*lamp1121*lamp1222*ybp2
          + 141/32*lamp1122*lamp1112*ybp1*ybp2*ybp2cc
          + 15/2*lamp1122*lamp1112*ybp1^2*ybp1cc
          - 15/2*lamp1122*lamp1112*ytp^2*ybp1
          - 27/8*lamp1122*lamp1112*lamp2122*ybp2
          - 9/4*lamp1122*lamp1112*lamp1121*ybp2
          + 12*lamp1122*lamp1212*ybp1^2*ybp2cc
          - 9*lamp1122*lamp1212*lamp2121*ybp2
          - 15/16*lamp1122*lamp1221*ybp2^2*ybp2cc
          + 31/16*lamp1122*lamp1221*ybp1*ybp1cc*ybp2
          - 135/16*lamp1122*lamp1221*ytp^2*ybp2
          - 3/2*lamp1122*lamp1221^2*ybp2
          - 15/16*lamp1122^2*ybp2^2*ybp2cc
          - 17/16*lamp1122^2*ybp1*ybp1cc*ybp2
          - 39/16*lamp1122^2*ytp^2*ybp2
          - 3/4*lamp1122^2*lamp1221*ybp2
          - 1/2*lamp1122^3*ybp2
          + 99*lamp2222*ybp2^3*ybp2cc^2
          + 153/2*lamp2222*ybp1*ybp1cc*ybp2^2*ybp2cc
          + 3/2*lamp2222*ytp^2*ybp2^2*ybp2cc
          - 39/16*lamp2222*lamp2122*ybp1cc*ybp2^2
          + 441/16*lamp2222*lamp1222*ybp1*ybp2*ybp2cc
          - 45/2*lamp2222*lamp1222*lamp2122*ybp2
          + 18*lamp2222*lamp1212*ybp1^2*ybp2cc
          - 6*lamp2222*lamp1212*lamp2121*ybp2
          + 6*lamp2222*lamp1221*ybp1*ybp1cc*ybp2
          - 3/2*lamp2222*lamp1221^2*ybp2
          + 18*lamp2222*lamp1122*ybp1*ybp1cc*ybp2
          + 3*lamp2222*lamp1122*ytp^2*ybp2
          - 3*lamp2222*lamp1122*lamp1221*ybp2
          - 3*lamp2222*lamp1122^2*ybp2
          + 15/8*lamp2222^2*ybp2^2*ybp2cc
          - 18*lamp2222^3*ybp2
          + 24*lamp1111*ybp1^2*ybp1cc^2*ybp2
          + 15*lamp1111*ytp^2*ybp1*ybp1cc*ybp2
          + 3*lamp1111*ytp^4*ybp2
          - 153/16*lamp1111*lamp1121*ybp1cc*ybp2^2
          - 153/16*lamp1111*lamp1112*ybp1*ybp2*ybp2cc
          + 30*lamp1111*lamp1112*ybp1^2*ybp1cc
          - 30*lamp1111*lamp1112*ytp^2*ybp1
          - 9/2*lamp1111*lamp1112*lamp1121*ybp2
          + 18*lamp1111*lamp1212*ybp1^2*ybp2cc
          - 3*lamp1111*lamp1212*lamp2121*ybp2
          + 6*lamp1111*lamp1221*ybp1*ybp1cc*ybp2
          - 3/4*lamp1111*lamp1221^2*ybp2
          + 18*lamp1111*lamp1122*ybp1*ybp1cc*ybp2
          + 3*lamp1111*lamp1122*ytp^2*ybp2
          - 3/2*lamp1111*lamp1122*lamp1221*ybp2
          - 3/2*lamp1111*lamp1122^2*ybp2
          - 207/8*lamp1111^2*ybp1*ybp1cc*ybp2
          - 33/8*lamp1111^2*ytp^2*ybp2
          + 27/4*z3*ybp2^4*ybp2cc^3
          + 75/4*z3*ybp1*ybp1cc*ybp2^3*ybp2cc^2
          + 69/4*z3*ybp1^2*ybp1cc^2*ybp2^2*ybp2cc
          + 21/4*z3*ybp1^3*ybp1cc^3*ybp2
          + 12*z3*ytp^2*ybp1*ybp1cc*ybp2^2*ybp2cc
          + 12*z3*ytp^2*ybp1^2*ybp1cc^2*ybp2
          - 12*z3*ytp^4*ybp1*ybp1cc*ybp2
          + 3/4*z3*ytp^6*ybp2
          - 157/2*alpha3*ybp2^3*ybp2cc^2
          - 2633/12*alpha3*ybp1*ybp1cc*ybp2^2*ybp2cc
          - 1691/12*alpha3*ybp1^2*ybp1cc^2*ybp2
          - 185/12*alpha3*ytp^2*ybp2^2*ybp2cc
          - 409/3*alpha3*ytp^2*ybp1*ybp1cc*ybp2
          - 257/12*alpha3*ytp^4*ybp2
          + 4*alpha3*lamp2122*ybp1cc*ybp2^2
          + 8*alpha3*lamp1222*ybp1*ybp2*ybp2cc
          + 4*alpha3*lamp1112*ybp1^2*ybp1cc
          - 4*alpha3*lamp1112*ytp^2*ybp1
          + 8*alpha3*lamp1212*ybp1^2*ybp2cc
          + 8/3*alpha3*lamp1221*ybp1*ybp1cc*ybp2
          - 4/3*alpha3*lamp1221*ytp^2*ybp2
          + 16/3*alpha3*lamp1122*ybp1*ybp1cc*ybp2
          + 4/3*alpha3*lamp1122*ytp^2*ybp2
          + 8*alpha3*lamp2222*ybp2^2*ybp2cc
          + 44*alpha3*z3*ybp1*ybp1cc*ybp2^2*ybp2cc
          + 44*alpha3*z3*ybp1^2*ybp1cc^2*ybp2
          - 12*alpha3*z3*ytp^2*ybp2^2*ybp2cc
          + 56*alpha3*z3*ytp^2*ybp1*ybp1cc*ybp2
          + 12*alpha3*z3*ytp^4*ybp2
          + 1477/4*alpha3^2*ybp2^2*ybp2cc
          + 18013/36*alpha3^2*ybp1*ybp1cc*ybp2
          + 1123/36*alpha3^2*ytp^2*ybp2
          + 11/3*alpha3^2*Ng*ybp2^2*ybp2cc
          + 7/3*alpha3^2*Ng*ybp1*ybp1cc*ybp2
          + 27*alpha3^2*Ng*ytp^2*ybp2
          - 114*alpha3^2*z3*ybp2^2*ybp2cc
          - 126*alpha3^2*z3*ybp1*ybp1cc*ybp2
          - 34*alpha3^2*z3*ytp^2*ybp2
          - 73457/81*alpha3^3*ybp2
          - 4432/27*alpha3^3*Ng*ybp2
          - 560/81*alpha3^3*Ng^2*ybp2
          + 640/3*alpha3^3*z3*ybp2
          - 320/3*alpha3^3*z3*Ng*ybp2
          - 1593/32*alpha2*ybp2^3*ybp2cc^2
          - 4569/64*alpha2*ybp1*ybp1cc*ybp2^2*ybp2cc
          - 1383/64*alpha2*ybp1^2*ybp1cc^2*ybp2
          - 141/32*alpha2*ytp^2*ybp2^2*ybp2cc
          - 993/64*alpha2*ytp^2*ybp1*ybp1cc*ybp2
          - 15/2*alpha2*ytp^4*ybp2
          - 135/8*alpha2*lamp2122*ybp1cc*ybp2^2
          - 135/4*alpha2*lamp1222*ybp1*ybp2*ybp2cc
          + 135/8*alpha2*lamp1222*lamp2122*ybp2
          - 135/8*alpha2*lamp1112*ybp1^2*ybp1cc
          + 135/8*alpha2*lamp1112*ytp^2*ybp1
          + 45/8*alpha2*lamp1112*lamp1121*ybp2
          - 135/4*alpha2*lamp1212*ybp1^2*ybp2cc
          + 45/2*alpha2*lamp1212*lamp2121*ybp2
          - 45/4*alpha2*lamp1221*ybp1*ybp1cc*ybp2
          + 45/8*alpha2*lamp1221*ytp^2*ybp2
          + 15/4*alpha2*lamp1221^2*ybp2
          - 45/2*alpha2*lamp1122*ybp1*ybp1cc*ybp2
          - 45/8*alpha2*lamp1122*ytp^2*ybp2
          + 15/4*alpha2*lamp1122*lamp1221*ybp2
          + 15/4*alpha2*lamp1122^2*ybp2
          - 135/4*alpha2*lamp2222*ybp2^2*ybp2cc
          + 45/2*alpha2*lamp2222^2*ybp2
          - 27/2*alpha2*z3*ybp1*ybp1cc*ybp2^2*ybp2cc
          - 27/2*alpha2*z3*ybp1^2*ybp1cc^2*ybp2
          - 9/4*alpha2*z3*ytp^2*ybp2^2*ybp2cc
          - 81/4*alpha2*z3*ytp^2*ybp1*ybp1cc*ybp2
          + 9/4*alpha2*z3*ytp^4*ybp2
          - 84*alpha2*alpha3*ybp2^2*ybp2cc
          - 581/8*alpha2*alpha3*ybp1*ybp1cc*ybp2
          + 37/8*alpha2*alpha3*ytp^2*ybp2
          + 90*alpha2*alpha3*z3*ybp2^2*ybp2cc
          + 144*alpha2*alpha3*z3*ybp1*ybp1cc*ybp2
          + 835/8*alpha2*alpha3^2*ybp2
          - 19*alpha2*alpha3^2*Ng*ybp2
          - 48*alpha2*alpha3^2*z3*ybp2
          + 24*alpha2*alpha3^2*z3*Ng*ybp2
          + 41025/512*alpha2^2*ybp2^2*ybp2cc
          + 32199/512*alpha2^2*ybp1*ybp1cc*ybp2
          - 2295/512*alpha2^2*ytp^2*ybp2
          - 57/64*alpha2^2*lamp1221*ybp2
          - 57/32*alpha2^2*lamp1122*ybp2
          - 171/32*alpha2^2*lamp2222*ybp2
          + 63/32*alpha2^2*Ng*ybp2^2*ybp2cc
          + 69/32*alpha2^2*Ng*ybp1*ybp1cc*ybp2
          + 351/32*alpha2^2*Ng*ytp^2*ybp2
          - 729/16*alpha2^2*z3*ybp2^2*ybp2cc
          - 603/16*alpha2^2*z3*ybp1*ybp1cc*ybp2
          - 99/16*alpha2^2*z3*ytp^2*ybp2
          + 729/16*alpha2^2*alpha3*ybp2
          - 57/8*alpha2^2*alpha3*Ng*ybp2
          - 36*alpha2^2*alpha3*z3*ybp2
          + 18*alpha2^2*alpha3*z3*Ng*ybp2
          - 6655/576*alpha2^3*ybp2
          + 99/32*alpha2^3*Ng*ybp2
          - 25/9*alpha2^3*Ng^2*ybp2
          + 405/8*alpha2^3*z3*ybp2
          - 45/2*alpha2^3*z3*Ng*ybp2
          - 1981/160*alpha1*ybp2^3*ybp2cc^2
          - 19151/960*alpha1*ybp1*ybp1cc*ybp2^2*ybp2cc
          - 1453/192*alpha1*ybp1^2*ybp1cc^2*ybp2
          - 1513/480*alpha1*ytp^2*ybp2^2*ybp2cc
          - 9583/960*alpha1*ytp^2*ybp1*ybp1cc*ybp2
          + 341/120*alpha1*ytp^4*ybp2
          - 139/40*alpha1*lamp2122*ybp1cc*ybp2^2
          - 139/20*alpha1*lamp1222*ybp1*ybp2*ybp2cc
          + 27/8*alpha1*lamp1222*lamp2122*ybp2
          - 139/40*alpha1*lamp1112*ybp1^2*ybp1cc
          + 127/40*alpha1*lamp1112*ytp^2*ybp1
          + 9/8*alpha1*lamp1112*lamp1121*ybp2
          - 139/20*alpha1*lamp1212*ybp1^2*ybp2cc
          + 9/2*alpha1*lamp1212*lamp2121*ybp2
          - 139/60*alpha1*lamp1221*ybp1*ybp1cc*ybp2
          + 127/120*alpha1*lamp1221*ytp^2*ybp2
          + 3/4*alpha1*lamp1221^2*ybp2
          - 139/30*alpha1*lamp1122*ybp1*ybp1cc*ybp2
          - 127/120*alpha1*lamp1122*ytp^2*ybp2
          + 3/4*alpha1*lamp1122*lamp1221*ybp2
          + 3/4*alpha1*lamp1122^2*ybp2
          - 139/20*alpha1*lamp2222*ybp2^2*ybp2cc
          + 9/2*alpha1*lamp2222^2*ybp2
          - 23/10*alpha1*z3*ybp1*ybp1cc*ybp2^2*ybp2cc
          - 23/10*alpha1*z3*ybp1^2*ybp1cc^2*ybp2
          + 51/20*alpha1*z3*ytp^2*ybp2^2*ybp2cc
          + 1/4*alpha1*z3*ytp^2*ybp1*ybp1cc*ybp2
          - 39/20*alpha1*z3*ytp^4*ybp2
          - 9*alpha1*alpha3*ybp2^2*ybp2cc
          - 1793/360*alpha1*alpha3*ybp1*ybp1cc*ybp2
          - 2531/360*alpha1*alpha3*ytp^2*ybp2
          + 66/5*alpha1*alpha3*z3*ybp2^2*ybp2cc
          + 96/5*alpha1*alpha3*z3*ybp1*ybp1cc*ybp2
          + 16/5*alpha1*alpha3*z3*ytp^2*ybp2
          + 10831/360*alpha1*alpha3^2*ybp2
          - 44/9*alpha1*alpha3^2*Ng*ybp2
          - 176/15*alpha1*alpha3^2*z3*ybp2
          + 88/15*alpha1*alpha3^2*z3*Ng*ybp2
          + 8493/1280*alpha1*alpha2*ybp2^2*ybp2cc
          + 5531/1280*alpha1*alpha2*ybp1*ybp1cc*ybp2
          + 37/256*alpha1*alpha2*ytp^2*ybp2
          - 9/10*alpha1*alpha2*lamp1222*ybp1
          - 9/10*alpha1*alpha2*lamp1112*ybp1
          - 27/160*alpha1*alpha2*lamp1221*ybp2
          - 27/80*alpha1*alpha2*lamp2222*ybp2
          - 9/10*alpha1*alpha2*z3*ybp2^2*ybp2cc
          - 9/5*alpha1*alpha2*z3*ybp1*ybp1cc*ybp2
          + 63/40*alpha1*alpha2*z3*ytp^2*ybp2
          - 153/40*alpha1*alpha2*alpha3*ybp2
          - 951/320*alpha1*alpha2^2*ybp2
          + 9/160*alpha1*alpha2^2*Ng*ybp2
          - 99/40*alpha1*alpha2^2*z3*ybp2
          + 9/10*alpha1*alpha2^2*z3*Ng*ybp2
          - 5791/2560*alpha1^2*ybp2^2*ybp2cc
          - 254629/115200*alpha1^2*ybp1*ybp1cc*ybp2
          - 545731/115200*alpha1^2*ytp^2*ybp2
          + 27/50*alpha1^2*lamp1222*ybp1
          + 27/50*alpha1^2*lamp1112*ybp1
          - 3/64*alpha1^2*lamp1221*ybp2
          - 3/32*alpha1^2*lamp1122*ybp2
          - 9/32*alpha1^2*lamp2222*ybp2
          + 17/96*alpha1^2*Ng*ybp2^2*ybp2cc
          + 23/480*alpha1^2*Ng*ybp1*ybp1cc*ybp2
          + 115/32*alpha1^2*Ng*ytp^2*ybp2
          - 171/400*alpha1^2*z3*ybp2^2*ybp2cc
          + 39/400*alpha1^2*z3*ybp1*ybp1cc*ybp2
          + 137/400*alpha1^2*z3*ytp^2*ybp2
          + 5281/3600*alpha1^2*alpha3*ybp2
          - 5281/1800*alpha1^2*alpha3*Ng*ybp2
          - 484/75*alpha1^2*alpha3*z3*ybp2
          + 374/75*alpha1^2*alpha3*z3*Ng*ybp2
          + 37/16*alpha1^2*alpha2*ybp2
          - 241/800*alpha1^2*alpha2*Ng*ybp2
          - 309/200*alpha1^2*alpha2*z3*ybp2
          + 51/50*alpha1^2*alpha2*z3*Ng*ybp2
          + 1605923/324000*alpha1^3*ybp2
          - 56861/21600*alpha1^3*Ng*ybp2
          - 73/81*alpha1^3*Ng^2*ybp2
          - 1699/600*alpha1^3*z3*ybp2
          + 323/150*alpha1^3*z3*Ng*ybp2
          )

       - 1/2*ep*ybp2);
